/* SPDX-License-Identifier: GPL-2.0-only */
/* Copyright (c) 2018-2021, The Linux Foundation. All rights reserved.
 * Copyright (c) 2022 Qualcomm Innovation Center, Inc. All rights reserved.
 */

#ifndef _LPASS_CDC_REGISTERS_H
#define _LPASS_CDC_REGISTERS_H

#define TX_START_OFFSET 0x0000

#define LPASS_CDC_TX_CLK_RST_CTRL_MCLK_CONTROL (TX_START_OFFSET + 0x0000)
#define LPASS_CDC_TX_CLK_RST_CTRL_FS_CNT_CONTROL (TX_START_OFFSET + 0x0004)
#define LPASS_CDC_TX_CLK_RST_CTRL_SWR_CONTROL	(TX_START_OFFSET + 0x0008)
#define LPASS_CDC_TX_TOP_CSR_TOP_CFG0		(TX_START_OFFSET + 0x0080)
#define LPASS_CDC_TX_TOP_CSR_ANC_CFG		(TX_START_OFFSET + 0x0084)
#define LPASS_CDC_TX_TOP_CSR_SWR_CTRL		(TX_START_OFFSET + 0x0088)
#define LPASS_CDC_TX_TOP_CSR_DEBUG_BUS		(TX_START_OFFSET + 0x0094)
#define LPASS_CDC_TX_TOP_CSR_DEBUG_EN		(TX_START_OFFSET + 0x0098)
#define LPASS_CDC_TX_TOP_CSR_TX_I2S_CTL		(TX_START_OFFSET + 0x00A4)
#define LPASS_CDC_TX_TOP_CSR_I2S_CLK		(TX_START_OFFSET + 0x00A8)
#define LPASS_CDC_TX_TOP_CSR_I2S_RESET		(TX_START_OFFSET + 0x00AC)
#define LPASS_CDC_TX_TOP_CSR_SWR_MIC2_CTL	(TX_START_OFFSET + 0x00C0)
#define LPASS_CDC_TX_TOP_CSR_SWR_MIC3_CTL	(TX_START_OFFSET + 0x00C4)
#define LPASS_CDC_TX_TOP_CSR_SWR_MIC4_CTL	(TX_START_OFFSET + 0x00C8)
#define LPASS_CDC_TX_TOP_CSR_SWR_MIC5_CTL	(TX_START_OFFSET + 0x00CC)
#define LPASS_CDC_TX_TOP_CSR_SWR_MIC0_CTL	(TX_START_OFFSET + 0x00D0)
#define LPASS_CDC_TX_TOP_CSR_SWR_MIC1_CTL	(TX_START_OFFSET + 0x00D4)
#define LPASS_CDC_TX_INP_MUX_ADC_MUX0_CFG0	(TX_START_OFFSET + 0x0100)
#define LPASS_CDC_TX_INP_MUX_ADC_MUX0_CFG1	(TX_START_OFFSET + 0x0104)
#define LPASS_CDC_TX_INP_MUX_ADC_MUX1_CFG0	(TX_START_OFFSET + 0x0108)
#define LPASS_CDC_TX_INP_MUX_ADC_MUX1_CFG1	(TX_START_OFFSET + 0x010C)
#define LPASS_CDC_TX_INP_MUX_ADC_MUX2_CFG0	(TX_START_OFFSET + 0x0110)
#define LPASS_CDC_TX_INP_MUX_ADC_MUX2_CFG1	(TX_START_OFFSET + 0x0114)
#define LPASS_CDC_TX_INP_MUX_ADC_MUX3_CFG0	(TX_START_OFFSET + 0x0118)
#define LPASS_CDC_TX_INP_MUX_ADC_MUX3_CFG1	(TX_START_OFFSET + 0x011C)
#define LPASS_CDC_TX_INP_MUX_ADC_MUX4_CFG0	(TX_START_OFFSET + 0x0120)
#define LPASS_CDC_TX_INP_MUX_ADC_MUX4_CFG1	(TX_START_OFFSET + 0x0124)
#define LPASS_CDC_TX_INP_MUX_ADC_MUX5_CFG0	(TX_START_OFFSET + 0x0128)
#define LPASS_CDC_TX_INP_MUX_ADC_MUX5_CFG1	(TX_START_OFFSET + 0x012C)
#define LPASS_CDC_TX_INP_MUX_ADC_MUX6_CFG0	(TX_START_OFFSET + 0x0130)
#define LPASS_CDC_TX_INP_MUX_ADC_MUX6_CFG1	(TX_START_OFFSET + 0x0134)
#define LPASS_CDC_TX_INP_MUX_ADC_MUX7_CFG0	(TX_START_OFFSET + 0x0138)
#define LPASS_CDC_TX_INP_MUX_ADC_MUX7_CFG1	(TX_START_OFFSET + 0x013C)
#define LPASS_CDC_TX_ANC0_CLK_RESET_CTL		(TX_START_OFFSET + 0x0200)
#define LPASS_CDC_TX_ANC0_MODE_1_CTL		(TX_START_OFFSET + 0x0204)
#define LPASS_CDC_TX_ANC0_MODE_2_CTL		(TX_START_OFFSET + 0x0208)
#define LPASS_CDC_TX_ANC0_FF_SHIFT		(TX_START_OFFSET + 0x020C)
#define LPASS_CDC_TX_ANC0_FB_SHIFT		(TX_START_OFFSET + 0x0210)
#define LPASS_CDC_TX_ANC0_LPF_FF_A_CTL		(TX_START_OFFSET + 0x0214)
#define LPASS_CDC_TX_ANC0_LPF_FF_B_CTL		(TX_START_OFFSET + 0x0218)
#define LPASS_CDC_TX_ANC0_LPF_FB_CTL		(TX_START_OFFSET + 0x021C)
#define LPASS_CDC_TX_ANC0_SMLPF_CTL		(TX_START_OFFSET + 0x0220)
#define LPASS_CDC_TX_ANC0_DCFLT_SHIFT_CTL	(TX_START_OFFSET + 0x0224)
#define LPASS_CDC_TX_ANC0_IIR_ADAPT_CTL		(TX_START_OFFSET + 0x0228)
#define LPASS_CDC_TX_ANC0_IIR_COEFF_1_CTL	(TX_START_OFFSET + 0x022C)
#define LPASS_CDC_TX_ANC0_IIR_COEFF_2_CTL	(TX_START_OFFSET + 0x0230)
#define LPASS_CDC_TX_ANC0_FF_A_GAIN_CTL		(TX_START_OFFSET + 0x0234)
#define LPASS_CDC_TX_ANC0_FF_B_GAIN_CTL		(TX_START_OFFSET + 0x0238)
#define LPASS_CDC_TX_ANC0_FB_GAIN_CTL		(TX_START_OFFSET + 0x023C)
#define LPASS_CDC_TX0_TX_PATH_CTL	(TX_START_OFFSET + 0x0400)
#define LPASS_CDC_TX0_TX_PATH_CFG0	(TX_START_OFFSET + 0x0404)
#define LPASS_CDC_TX0_TX_PATH_CFG1	(TX_START_OFFSET + 0x0408)
#define LPASS_CDC_TX0_TX_VOL_CTL	(TX_START_OFFSET + 0x040C)
#define LPASS_CDC_TX0_TX_PATH_SEC0	(TX_START_OFFSET + 0x0410)
#define LPASS_CDC_TX0_TX_PATH_SEC1	(TX_START_OFFSET + 0x0414)
#define LPASS_CDC_TX0_TX_PATH_SEC2	(TX_START_OFFSET + 0x0418)
#define LPASS_CDC_TX0_TX_PATH_SEC3	(TX_START_OFFSET + 0x041C)
#define LPASS_CDC_TX0_TX_PATH_SEC4	(TX_START_OFFSET + 0x0420)
#define LPASS_CDC_TX0_TX_PATH_SEC5	(TX_START_OFFSET + 0x0424)
#define LPASS_CDC_TX0_TX_PATH_SEC6	(TX_START_OFFSET + 0x0428)
#define LPASS_CDC_TX0_TX_PATH_SEC7	(TX_START_OFFSET + 0x042C)
#define LPASS_CDC_TX1_TX_PATH_CTL	(TX_START_OFFSET + 0x0480)
#define LPASS_CDC_TX1_TX_PATH_CFG0	(TX_START_OFFSET + 0x0484)
#define LPASS_CDC_TX1_TX_PATH_CFG1	(TX_START_OFFSET + 0x0488)
#define LPASS_CDC_TX1_TX_VOL_CTL	(TX_START_OFFSET + 0x048C)
#define LPASS_CDC_TX1_TX_PATH_SEC0	(TX_START_OFFSET + 0x0490)
#define LPASS_CDC_TX1_TX_PATH_SEC1	(TX_START_OFFSET + 0x0494)
#define LPASS_CDC_TX1_TX_PATH_SEC2	(TX_START_OFFSET + 0x0498)
#define LPASS_CDC_TX1_TX_PATH_SEC3	(TX_START_OFFSET + 0x049C)
#define LPASS_CDC_TX1_TX_PATH_SEC4	(TX_START_OFFSET + 0x04A0)
#define LPASS_CDC_TX1_TX_PATH_SEC5	(TX_START_OFFSET + 0x04A4)
#define LPASS_CDC_TX1_TX_PATH_SEC6	(TX_START_OFFSET + 0x04A8)
#define LPASS_CDC_TX2_TX_PATH_CTL	(TX_START_OFFSET + 0x0500)
#define LPASS_CDC_TX2_TX_PATH_CFG0	(TX_START_OFFSET + 0x0504)
#define LPASS_CDC_TX2_TX_PATH_CFG1	(TX_START_OFFSET + 0x0508)
#define LPASS_CDC_TX2_TX_VOL_CTL	(TX_START_OFFSET + 0x050C)
#define LPASS_CDC_TX2_TX_PATH_SEC0	(TX_START_OFFSET + 0x0510)
#define LPASS_CDC_TX2_TX_PATH_SEC1	(TX_START_OFFSET + 0x0514)
#define LPASS_CDC_TX2_TX_PATH_SEC2	(TX_START_OFFSET + 0x0518)
#define LPASS_CDC_TX2_TX_PATH_SEC3	(TX_START_OFFSET + 0x051C)
#define LPASS_CDC_TX2_TX_PATH_SEC4	(TX_START_OFFSET + 0x0520)
#define LPASS_CDC_TX2_TX_PATH_SEC5	(TX_START_OFFSET + 0x0524)
#define LPASS_CDC_TX2_TX_PATH_SEC6	(TX_START_OFFSET + 0x0528)
#define LPASS_CDC_TX3_TX_PATH_CTL	(TX_START_OFFSET + 0x0580)
#define LPASS_CDC_TX3_TX_PATH_CFG0	(TX_START_OFFSET + 0x0584)
#define LPASS_CDC_TX3_TX_PATH_CFG1	(TX_START_OFFSET + 0x0588)
#define LPASS_CDC_TX3_TX_VOL_CTL	(TX_START_OFFSET + 0x058C)
#define LPASS_CDC_TX3_TX_PATH_SEC0	(TX_START_OFFSET + 0x0590)
#define LPASS_CDC_TX3_TX_PATH_SEC1	(TX_START_OFFSET + 0x0594)
#define LPASS_CDC_TX3_TX_PATH_SEC2	(TX_START_OFFSET + 0x0598)
#define LPASS_CDC_TX3_TX_PATH_SEC3	(TX_START_OFFSET + 0x059C)
#define LPASS_CDC_TX3_TX_PATH_SEC4	(TX_START_OFFSET + 0x05A0)
#define LPASS_CDC_TX3_TX_PATH_SEC5	(TX_START_OFFSET + 0x05A4)
#define LPASS_CDC_TX3_TX_PATH_SEC6	(TX_START_OFFSET + 0x05A8)
#define LPASS_CDC_TX4_TX_PATH_CTL	(TX_START_OFFSET + 0x0600)
#define LPASS_CDC_TX4_TX_PATH_CFG0	(TX_START_OFFSET + 0x0604)
#define LPASS_CDC_TX4_TX_PATH_CFG1	(TX_START_OFFSET + 0x0608)
#define LPASS_CDC_TX4_TX_VOL_CTL	(TX_START_OFFSET + 0x060C)
#define LPASS_CDC_TX4_TX_PATH_SEC0	(TX_START_OFFSET + 0x0610)
#define LPASS_CDC_TX4_TX_PATH_SEC1	(TX_START_OFFSET + 0x0614)
#define LPASS_CDC_TX4_TX_PATH_SEC2	(TX_START_OFFSET + 0x0618)
#define LPASS_CDC_TX4_TX_PATH_SEC3	(TX_START_OFFSET + 0x061C)
#define LPASS_CDC_TX4_TX_PATH_SEC4	(TX_START_OFFSET + 0x0620)
#define LPASS_CDC_TX4_TX_PATH_SEC5	(TX_START_OFFSET + 0x0624)
#define LPASS_CDC_TX4_TX_PATH_SEC6	(TX_START_OFFSET + 0x0628)
#define LPASS_CDC_TX5_TX_PATH_CTL	(TX_START_OFFSET + 0x0680)
#define LPASS_CDC_TX5_TX_PATH_CFG0	(TX_START_OFFSET + 0x0684)
#define LPASS_CDC_TX5_TX_PATH_CFG1	(TX_START_OFFSET + 0x0688)
#define LPASS_CDC_TX5_TX_VOL_CTL	(TX_START_OFFSET + 0x068C)
#define LPASS_CDC_TX5_TX_PATH_SEC0	(TX_START_OFFSET + 0x0690)
#define LPASS_CDC_TX5_TX_PATH_SEC1	(TX_START_OFFSET + 0x0694)
#define LPASS_CDC_TX5_TX_PATH_SEC2	(TX_START_OFFSET + 0x0698)
#define LPASS_CDC_TX5_TX_PATH_SEC3	(TX_START_OFFSET + 0x069C)
#define LPASS_CDC_TX5_TX_PATH_SEC4	(TX_START_OFFSET + 0x06A0)
#define LPASS_CDC_TX5_TX_PATH_SEC5	(TX_START_OFFSET + 0x06A4)
#define LPASS_CDC_TX5_TX_PATH_SEC6	(TX_START_OFFSET + 0x06A8)
#define LPASS_CDC_TX6_TX_PATH_CTL	(TX_START_OFFSET + 0x0700)
#define LPASS_CDC_TX6_TX_PATH_CFG0	(TX_START_OFFSET + 0x0704)
#define LPASS_CDC_TX6_TX_PATH_CFG1	(TX_START_OFFSET + 0x0708)
#define LPASS_CDC_TX6_TX_VOL_CTL	(TX_START_OFFSET + 0x070C)
#define LPASS_CDC_TX6_TX_PATH_SEC0	(TX_START_OFFSET + 0x0710)
#define LPASS_CDC_TX6_TX_PATH_SEC1	(TX_START_OFFSET + 0x0714)
#define LPASS_CDC_TX6_TX_PATH_SEC2	(TX_START_OFFSET + 0x0718)
#define LPASS_CDC_TX6_TX_PATH_SEC3	(TX_START_OFFSET + 0x071C)
#define LPASS_CDC_TX6_TX_PATH_SEC4	(TX_START_OFFSET + 0x0720)
#define LPASS_CDC_TX6_TX_PATH_SEC5	(TX_START_OFFSET + 0x0724)
#define LPASS_CDC_TX6_TX_PATH_SEC6	(TX_START_OFFSET + 0x0728)
#define LPASS_CDC_TX7_TX_PATH_CTL	(TX_START_OFFSET + 0x0780)
#define LPASS_CDC_TX7_TX_PATH_CFG0	(TX_START_OFFSET + 0x0784)
#define LPASS_CDC_TX7_TX_PATH_CFG1	(TX_START_OFFSET + 0x0788)
#define LPASS_CDC_TX7_TX_VOL_CTL	(TX_START_OFFSET + 0x078C)
#define LPASS_CDC_TX7_TX_PATH_SEC0	(TX_START_OFFSET + 0x0790)
#define LPASS_CDC_TX7_TX_PATH_SEC1	(TX_START_OFFSET + 0x0794)
#define LPASS_CDC_TX7_TX_PATH_SEC2	(TX_START_OFFSET + 0x0798)
#define LPASS_CDC_TX7_TX_PATH_SEC3	(TX_START_OFFSET + 0x079C)
#define LPASS_CDC_TX7_TX_PATH_SEC4	(TX_START_OFFSET + 0x07A0)
#define LPASS_CDC_TX7_TX_PATH_SEC5	(TX_START_OFFSET + 0x07A4)
#define LPASS_CDC_TX7_TX_PATH_SEC6	(TX_START_OFFSET + 0x07A8)
#define TX_MAX_OFFSET			(TX_START_OFFSET + 0x07A8)

#define LPASS_CDC_TX_MACRO_MAX 0x1EB /* 7A8/4 = 1EA + 1 */

#define RX_START_OFFSET				0x1000
#define LPASS_CDC_RX_TOP_TOP_CFG0		(RX_START_OFFSET + 0x0000)
#define LPASS_CDC_RX_TOP_TOP_CFG1		(RX_START_OFFSET + 0x0004)
#define LPASS_CDC_RX_TOP_SWR_CTRL		(RX_START_OFFSET + 0x0008)
#define LPASS_CDC_RX_TOP_DEBUG			(RX_START_OFFSET + 0x000C)
#define LPASS_CDC_RX_TOP_DEBUG_BUS		(RX_START_OFFSET + 0x0010)
#define LPASS_CDC_RX_TOP_DEBUG_EN0		(RX_START_OFFSET + 0x0014)
#define LPASS_CDC_RX_TOP_DEBUG_EN1		(RX_START_OFFSET + 0x0018)
#define LPASS_CDC_RX_TOP_DEBUG_EN2		(RX_START_OFFSET + 0x001C)
#define LPASS_CDC_RX_TOP_HPHL_COMP_WR_LSB	(RX_START_OFFSET + 0x0020)
#define LPASS_CDC_RX_TOP_HPHL_COMP_WR_MSB	(RX_START_OFFSET + 0x0024)
#define LPASS_CDC_RX_TOP_HPHL_COMP_LUT		(RX_START_OFFSET + 0x0028)
#define LPASS_CDC_RX_TOP_HPHL_COMP_RD_LSB	(RX_START_OFFSET + 0x002C)
#define LPASS_CDC_RX_TOP_HPHL_COMP_RD_MSB	(RX_START_OFFSET + 0x0030)
#define LPASS_CDC_RX_TOP_HPHR_COMP_WR_LSB	(RX_START_OFFSET + 0x0034)
#define LPASS_CDC_RX_TOP_HPHR_COMP_WR_MSB	(RX_START_OFFSET + 0x0038)
#define LPASS_CDC_RX_TOP_HPHR_COMP_LUT		(RX_START_OFFSET + 0x003C)
#define LPASS_CDC_RX_TOP_HPHR_COMP_RD_LSB	(RX_START_OFFSET + 0x0040)
#define LPASS_CDC_RX_TOP_HPHR_COMP_RD_MSB	(RX_START_OFFSET + 0x0044)
#define LPASS_CDC_RX_TOP_DSD0_DEBUG_CFG0	(RX_START_OFFSET + 0x0070)
#define LPASS_CDC_RX_TOP_DSD0_DEBUG_CFG1	(RX_START_OFFSET + 0x0074)
#define LPASS_CDC_RX_TOP_DSD0_DEBUG_CFG2	(RX_START_OFFSET + 0x0078)
#define LPASS_CDC_RX_TOP_DSD0_DEBUG_CFG3	(RX_START_OFFSET + 0x007C)
#define LPASS_CDC_RX_TOP_DSD1_DEBUG_CFG0	(RX_START_OFFSET + 0x0080)
#define LPASS_CDC_RX_TOP_DSD1_DEBUG_CFG1	(RX_START_OFFSET + 0x0084)
#define LPASS_CDC_RX_TOP_DSD1_DEBUG_CFG2	(RX_START_OFFSET + 0x0088)
#define LPASS_CDC_RX_TOP_DSD1_DEBUG_CFG3	(RX_START_OFFSET + 0x008C)
#define LPASS_CDC_RX_TOP_RX_I2S_CTL		(RX_START_OFFSET + 0x0090)
#define LPASS_CDC_RX_TOP_TX_I2S2_CTL		(RX_START_OFFSET + 0x0094)
#define LPASS_CDC_RX_TOP_I2S_CLK		(RX_START_OFFSET + 0x0098)
#define LPASS_CDC_RX_TOP_I2S_RESET		(RX_START_OFFSET + 0x009C)
#define LPASS_CDC_RX_TOP_I2S_MUX		(RX_START_OFFSET + 0x00A0)
#define LPASS_CDC_RX_CLK_RST_CTRL_MCLK_CONTROL	(RX_START_OFFSET + 0x0100)
#define LPASS_CDC_RX_CLK_RST_CTRL_FS_CNT_CONTROL \
						(RX_START_OFFSET + 0x0104)
#define LPASS_CDC_RX_CLK_RST_CTRL_SWR_CONTROL	(RX_START_OFFSET + 0x0108)
#define LPASS_CDC_RX_CLK_RST_CTRL_DSD_CONTROL	(RX_START_OFFSET + 0x010C)
#define LPASS_CDC_RX_CLK_RST_CTRL_ASRC_SHARE_CONTROL \
						(RX_START_OFFSET + 0x0110)
#define LPASS_CDC_RX_SOFTCLIP_CRC		(RX_START_OFFSET + 0x0140)
#define LPASS_CDC_RX_SOFTCLIP_SOFTCLIP_CTRL	(RX_START_OFFSET + 0x0144)
#define LPASS_CDC_RX_INP_MUX_RX_INT0_CFG0	(RX_START_OFFSET + 0x0180)
#define LPASS_CDC_RX_INP_MUX_RX_INT0_CFG1	(RX_START_OFFSET + 0x0184)
#define LPASS_CDC_RX_INP_MUX_RX_INT1_CFG0	(RX_START_OFFSET + 0x0188)
#define LPASS_CDC_RX_INP_MUX_RX_INT1_CFG1	(RX_START_OFFSET + 0x018C)
#define LPASS_CDC_RX_INP_MUX_RX_INT2_CFG0	(RX_START_OFFSET + 0x0190)
#define LPASS_CDC_RX_INP_MUX_RX_INT2_CFG1	(RX_START_OFFSET + 0x0194)
#define LPASS_CDC_RX_INP_MUX_RX_MIX_CFG4	(RX_START_OFFSET + 0x0198)
#define LPASS_CDC_RX_INP_MUX_RX_MIX_CFG5	(RX_START_OFFSET + 0x019C)
#define LPASS_CDC_RX_INP_MUX_SIDETONE_SRC_CFG0	(RX_START_OFFSET + 0x01A0)
#define LPASS_CDC_RX_CLSH_CRC			(RX_START_OFFSET + 0x0200)
#define LPASS_CDC_RX_CLSH_DLY_CTRL		(RX_START_OFFSET + 0x0204)
#define LPASS_CDC_RX_CLSH_DECAY_CTRL		(RX_START_OFFSET + 0x0208)
#define LPASS_CDC_RX_CLSH_HPH_V_PA		(RX_START_OFFSET + 0x020C)
#define LPASS_CDC_RX_CLSH_EAR_V_PA		(RX_START_OFFSET + 0x0210)
#define LPASS_CDC_RX_CLSH_HPH_V_HD		(RX_START_OFFSET + 0x0214)
#define LPASS_CDC_RX_CLSH_EAR_V_HD		(RX_START_OFFSET + 0x0218)
#define LPASS_CDC_RX_CLSH_K1_MSB		(RX_START_OFFSET + 0x021C)
#define LPASS_CDC_RX_CLSH_K1_LSB		(RX_START_OFFSET + 0x0220)
#define LPASS_CDC_RX_CLSH_K2_MSB		(RX_START_OFFSET + 0x0224)
#define LPASS_CDC_RX_CLSH_K2_LSB		(RX_START_OFFSET + 0x0228)
#define LPASS_CDC_RX_CLSH_IDLE_CTRL		(RX_START_OFFSET + 0x022C)
#define LPASS_CDC_RX_CLSH_IDLE_HPH		(RX_START_OFFSET + 0x0230)
#define LPASS_CDC_RX_CLSH_IDLE_EAR		(RX_START_OFFSET + 0x0234)
#define LPASS_CDC_RX_CLSH_TEST0		(RX_START_OFFSET + 0x0238)
#define LPASS_CDC_RX_CLSH_TEST1		(RX_START_OFFSET + 0x023C)
#define LPASS_CDC_RX_CLSH_OVR_VREF		(RX_START_OFFSET + 0x0240)
#define LPASS_CDC_RX_CLSH_CLSG_CTL		(RX_START_OFFSET + 0x0244)
#define LPASS_CDC_RX_CLSH_CLSG_CFG1		(RX_START_OFFSET + 0x0248)
#define LPASS_CDC_RX_CLSH_CLSG_CFG2		(RX_START_OFFSET + 0x024C)
#define LPASS_CDC_RX_BCL_VBAT_PATH_CTL		(RX_START_OFFSET + 0x0280)
#define LPASS_CDC_RX_BCL_VBAT_CFG		(RX_START_OFFSET + 0x0284)
#define LPASS_CDC_RX_BCL_VBAT_ADC_CAL1		(RX_START_OFFSET + 0x0288)
#define LPASS_CDC_RX_BCL_VBAT_ADC_CAL2		(RX_START_OFFSET + 0x028C)
#define LPASS_CDC_RX_BCL_VBAT_ADC_CAL3		(RX_START_OFFSET + 0x0290)
#define LPASS_CDC_RX_BCL_VBAT_PK_EST1		(RX_START_OFFSET + 0x0294)
#define LPASS_CDC_RX_BCL_VBAT_PK_EST2		(RX_START_OFFSET + 0x0298)
#define LPASS_CDC_RX_BCL_VBAT_PK_EST3		(RX_START_OFFSET + 0x029C)
#define LPASS_CDC_RX_BCL_VBAT_RF_PROC1		(RX_START_OFFSET + 0x02A0)
#define LPASS_CDC_RX_BCL_VBAT_RF_PROC2		(RX_START_OFFSET + 0x02A4)
#define LPASS_CDC_RX_BCL_VBAT_TAC1		(RX_START_OFFSET + 0x02A8)
#define LPASS_CDC_RX_BCL_VBAT_TAC2		(RX_START_OFFSET + 0x02AC)
#define LPASS_CDC_RX_BCL_VBAT_TAC3		(RX_START_OFFSET + 0x02B0)
#define LPASS_CDC_RX_BCL_VBAT_TAC4		(RX_START_OFFSET + 0x02B4)
#define LPASS_CDC_RX_BCL_VBAT_GAIN_UPD1	(RX_START_OFFSET + 0x02B8)
#define LPASS_CDC_RX_BCL_VBAT_GAIN_UPD2	(RX_START_OFFSET + 0x02BC)
#define LPASS_CDC_RX_BCL_VBAT_GAIN_UPD3	(RX_START_OFFSET + 0x02C0)
#define LPASS_CDC_RX_BCL_VBAT_GAIN_UPD4	(RX_START_OFFSET + 0x02C4)
#define LPASS_CDC_RX_BCL_VBAT_GAIN_UPD5	(RX_START_OFFSET + 0x02C8)
#define LPASS_CDC_RX_BCL_VBAT_DEBUG1		(RX_START_OFFSET + 0x02CC)
#define LPASS_CDC_RX_BCL_VBAT_GAIN_UPD_MON	(RX_START_OFFSET + 0x02D0)
#define LPASS_CDC_RX_BCL_VBAT_GAIN_MON_VAL	(RX_START_OFFSET + 0x02D4)
#define LPASS_CDC_RX_BCL_VBAT_BAN		(RX_START_OFFSET + 0x02D8)
#define LPASS_CDC_RX_BCL_VBAT_BCL_GAIN_UPD1	(RX_START_OFFSET + 0x02DC)
#define LPASS_CDC_RX_BCL_VBAT_BCL_GAIN_UPD2	(RX_START_OFFSET + 0x02E0)
#define LPASS_CDC_RX_BCL_VBAT_BCL_GAIN_UPD3	(RX_START_OFFSET + 0x02E4)
#define LPASS_CDC_RX_BCL_VBAT_BCL_GAIN_UPD4	(RX_START_OFFSET + 0x02E8)
#define LPASS_CDC_RX_BCL_VBAT_BCL_GAIN_UPD5	(RX_START_OFFSET + 0x02EC)
#define LPASS_CDC_RX_BCL_VBAT_BCL_GAIN_UPD6	(RX_START_OFFSET + 0x02F0)
#define LPASS_CDC_RX_BCL_VBAT_BCL_GAIN_UPD7	(RX_START_OFFSET + 0x02F4)
#define LPASS_CDC_RX_BCL_VBAT_BCL_GAIN_UPD8	(RX_START_OFFSET + 0x02F8)
#define LPASS_CDC_RX_BCL_VBAT_BCL_GAIN_UPD9	(RX_START_OFFSET + 0x02FC)
#define LPASS_CDC_RX_BCL_VBAT_ATTN1		(RX_START_OFFSET + 0x0300)
#define LPASS_CDC_RX_BCL_VBAT_ATTN2		(RX_START_OFFSET + 0x0304)
#define LPASS_CDC_RX_BCL_VBAT_ATTN3		(RX_START_OFFSET + 0x0308)
#define LPASS_CDC_RX_INTR_CTRL_CFG		(RX_START_OFFSET + 0x0340)
#define LPASS_CDC_RX_INTR_CTRL_CLR_COMMIT	(RX_START_OFFSET + 0x0344)
#define LPASS_CDC_RX_INTR_CTRL_PIN1_MASK0	(RX_START_OFFSET + 0x0360)
#define LPASS_CDC_RX_INTR_CTRL_PIN1_STATUS0	(RX_START_OFFSET + 0x0368)
#define LPASS_CDC_RX_INTR_CTRL_PIN1_CLEAR0	(RX_START_OFFSET + 0x0370)
#define LPASS_CDC_RX_INTR_CTRL_PIN2_MASK0	(RX_START_OFFSET + 0x0380)
#define LPASS_CDC_RX_INTR_CTRL_PIN2_STATUS0	(RX_START_OFFSET + 0x0388)
#define LPASS_CDC_RX_INTR_CTRL_PIN2_CLEAR0	(RX_START_OFFSET + 0x0390)
#define LPASS_CDC_RX_INTR_CTRL_LEVEL0		(RX_START_OFFSET + 0x03C0)
#define LPASS_CDC_RX_INTR_CTRL_BYPASS0		(RX_START_OFFSET + 0x03C8)
#define LPASS_CDC_RX_INTR_CTRL_SET0		(RX_START_OFFSET + 0x03D0)
#define LPASS_CDC_RX_RX0_RX_PATH_CTL		(RX_START_OFFSET + 0x0400)
#define LPASS_CDC_RX_RX0_RX_PATH_CFG0		(RX_START_OFFSET + 0x0404)
#define LPASS_CDC_RX_RX0_RX_PATH_CFG1		(RX_START_OFFSET + 0x0408)
#define LPASS_CDC_RX_RX0_RX_PATH_CFG2		(RX_START_OFFSET + 0x040C)
#define LPASS_CDC_RX_RX0_RX_PATH_CFG3		(RX_START_OFFSET + 0x0410)
#define LPASS_CDC_RX_RX0_RX_VOL_CTL		(RX_START_OFFSET + 0x0414)
#define LPASS_CDC_RX_RX0_RX_PATH_MIX_CTL	(RX_START_OFFSET + 0x0418)
#define LPASS_CDC_RX_RX0_RX_PATH_MIX_CFG	(RX_START_OFFSET + 0x041C)
#define LPASS_CDC_RX_RX0_RX_VOL_MIX_CTL	(RX_START_OFFSET + 0x0420)
#define LPASS_CDC_RX_RX0_RX_PATH_SEC1		(RX_START_OFFSET + 0x0424)
#define LPASS_CDC_RX_RX0_RX_PATH_SEC2		(RX_START_OFFSET + 0x0428)
#define LPASS_CDC_RX_RX0_RX_PATH_SEC3		(RX_START_OFFSET + 0x042C)
#define LPASS_CDC_RX_RX0_RX_PATH_SEC4		(RX_START_OFFSET + 0x0430)
#define LPASS_CDC_RX_RX0_RX_PATH_SEC7		(RX_START_OFFSET + 0x0434)
#define LPASS_CDC_RX_RX0_RX_PATH_MIX_SEC0	(RX_START_OFFSET + 0x0438)
#define LPASS_CDC_RX_RX0_RX_PATH_MIX_SEC1	(RX_START_OFFSET + 0x043C)
#define LPASS_CDC_RX_RX0_RX_PATH_DSM_CTL	(RX_START_OFFSET + 0x0440)
#define LPASS_CDC_RX_RX0_RX_PATH_DSM_DATA1	(RX_START_OFFSET + 0x0444)
#define LPASS_CDC_RX_RX0_RX_PATH_DSM_DATA2	(RX_START_OFFSET + 0x0448)
#define LPASS_CDC_RX_RX0_RX_PATH_DSM_DATA3	(RX_START_OFFSET + 0x044C)
#define LPASS_CDC_RX_RX0_RX_PATH_DSM_DATA4	(RX_START_OFFSET + 0x0450)
#define LPASS_CDC_RX_RX0_RX_PATH_DSM_DATA5	(RX_START_OFFSET + 0x0454)
#define LPASS_CDC_RX_RX0_RX_PATH_DSM_DATA6	(RX_START_OFFSET + 0x0458)
#define LPASS_CDC_RX_RX0_RX_FIR_CTL		(RX_START_OFFSET + 0x045C)
#define LPASS_CDC_RX_RX0_RX_FIR_CFG		(RX_START_OFFSET + 0x0460)
#define LPASS_CDC_RX_RX0_RX_FIR_COEFF_ADDR	(RX_START_OFFSET + 0x0464)
#define LPASS_CDC_RX_RX0_RX_FIR_COEFF_WDATA0	(RX_START_OFFSET + 0x0468)
#define LPASS_CDC_RX_RX0_RX_FIR_COEFF_WDATA1	(RX_START_OFFSET + 0x046C)
#define LPASS_CDC_RX_RX0_RX_FIR_COEFF_WDATA2	(RX_START_OFFSET + 0x0470)
#define LPASS_CDC_RX_RX0_RX_FIR_COEFF_WDATA3	(RX_START_OFFSET + 0x0474)
#define LPASS_CDC_RX_RX0_RX_FIR_COEFF_WDATA4	(RX_START_OFFSET + 0x0478)
#define LPASS_CDC_RX_RX0_RX_FIR_COEFF_WDATA5	(RX_START_OFFSET + 0x047C)
#define LPASS_CDC_RX_RX0_RX_FIR_COEFF_WDATA6	(RX_START_OFFSET + 0x0480)
#define LPASS_CDC_RX_RX0_RX_FIR_COEFF_WDATA7	(RX_START_OFFSET + 0x0484)
#define LPASS_CDC_RX_RX1_RX_PATH_CTL		(RX_START_OFFSET + 0x04C0)
#define LPASS_CDC_RX_RX1_RX_PATH_CFG0		(RX_START_OFFSET + 0x04C4)
#define LPASS_CDC_RX_RX1_RX_PATH_CFG1		(RX_START_OFFSET + 0x04C8)
#define LPASS_CDC_RX_RX1_RX_PATH_CFG2		(RX_START_OFFSET + 0x04CC)
#define LPASS_CDC_RX_RX1_RX_PATH_CFG3		(RX_START_OFFSET + 0x04D0)
#define LPASS_CDC_RX_RX1_RX_VOL_CTL		(RX_START_OFFSET + 0x04D4)
#define LPASS_CDC_RX_RX1_RX_PATH_MIX_CTL	(RX_START_OFFSET + 0x04D8)
#define LPASS_CDC_RX_RX1_RX_PATH_MIX_CFG	(RX_START_OFFSET + 0x04DC)
#define LPASS_CDC_RX_RX1_RX_VOL_MIX_CTL	(RX_START_OFFSET + 0x04E0)
#define LPASS_CDC_RX_RX1_RX_PATH_SEC1		(RX_START_OFFSET + 0x04E4)
#define LPASS_CDC_RX_RX1_RX_PATH_SEC2		(RX_START_OFFSET + 0x04E8)
#define LPASS_CDC_RX_RX1_RX_PATH_SEC3		(RX_START_OFFSET + 0x04EC)
#define LPASS_CDC_RX_RX1_RX_PATH_SEC4		(RX_START_OFFSET + 0x04F0)
#define LPASS_CDC_RX_RX1_RX_PATH_SEC7		(RX_START_OFFSET + 0x04F4)
#define LPASS_CDC_RX_RX1_RX_PATH_MIX_SEC0	(RX_START_OFFSET + 0x04F8)
#define LPASS_CDC_RX_RX1_RX_PATH_MIX_SEC1	(RX_START_OFFSET + 0x04FC)
#define LPASS_CDC_RX_RX1_RX_PATH_DSM_CTL	(RX_START_OFFSET + 0x0500)
#define LPASS_CDC_RX_RX1_RX_PATH_DSM_DATA1	(RX_START_OFFSET + 0x0504)
#define LPASS_CDC_RX_RX1_RX_PATH_DSM_DATA2	(RX_START_OFFSET + 0x0508)
#define LPASS_CDC_RX_RX1_RX_PATH_DSM_DATA3	(RX_START_OFFSET + 0x050C)
#define LPASS_CDC_RX_RX1_RX_PATH_DSM_DATA4	(RX_START_OFFSET + 0x0510)
#define LPASS_CDC_RX_RX1_RX_PATH_DSM_DATA5	(RX_START_OFFSET + 0x0514)
#define LPASS_CDC_RX_RX1_RX_PATH_DSM_DATA6	(RX_START_OFFSET + 0x0518)
#define LPASS_CDC_RX_RX1_RX_FIR_CTL		(RX_START_OFFSET + 0x051C)
#define LPASS_CDC_RX_RX1_RX_FIR_CFG		(RX_START_OFFSET + 0x0520)
#define LPASS_CDC_RX_RX1_RX_FIR_COEFF_ADDR	(RX_START_OFFSET + 0x0524)
#define LPASS_CDC_RX_RX1_RX_FIR_COEFF_WDATA0	(RX_START_OFFSET + 0x0528)
#define LPASS_CDC_RX_RX1_RX_FIR_COEFF_WDATA1	(RX_START_OFFSET + 0x052C)
#define LPASS_CDC_RX_RX1_RX_FIR_COEFF_WDATA2	(RX_START_OFFSET + 0x0530)
#define LPASS_CDC_RX_RX1_RX_FIR_COEFF_WDATA3	(RX_START_OFFSET + 0x0534)
#define LPASS_CDC_RX_RX1_RX_FIR_COEFF_WDATA4	(RX_START_OFFSET + 0x0538)
#define LPASS_CDC_RX_RX1_RX_FIR_COEFF_WDATA5	(RX_START_OFFSET + 0x053C)
#define LPASS_CDC_RX_RX1_RX_FIR_COEFF_WDATA6	(RX_START_OFFSET + 0x0540)
#define LPASS_CDC_RX_RX1_RX_FIR_COEFF_WDATA7	(RX_START_OFFSET + 0x0544)
#define LPASS_CDC_RX_RX2_RX_PATH_CTL		(RX_START_OFFSET + 0x0580)
#define LPASS_CDC_RX_RX2_RX_PATH_CFG0		(RX_START_OFFSET + 0x0584)
#define LPASS_CDC_RX_RX2_RX_PATH_CFG1		(RX_START_OFFSET + 0x0588)
#define LPASS_CDC_RX_RX2_RX_PATH_CFG2		(RX_START_OFFSET + 0x058C)
#define LPASS_CDC_RX_RX2_RX_PATH_CFG3		(RX_START_OFFSET + 0x0590)
#define LPASS_CDC_RX_RX2_RX_VOL_CTL		(RX_START_OFFSET + 0x0594)
#define LPASS_CDC_RX_RX2_RX_PATH_MIX_CTL	(RX_START_OFFSET + 0x0598)
#define LPASS_CDC_RX_RX2_RX_PATH_MIX_CFG	(RX_START_OFFSET + 0x059C)
#define LPASS_CDC_RX_RX2_RX_VOL_MIX_CTL	(RX_START_OFFSET + 0x05A0)
#define LPASS_CDC_RX_RX2_RX_PATH_SEC0		(RX_START_OFFSET + 0x05A4)
#define LPASS_CDC_RX_RX2_RX_PATH_SEC1		(RX_START_OFFSET + 0x05A8)
#define LPASS_CDC_RX_RX2_RX_PATH_SEC2		(RX_START_OFFSET + 0x05AC)
#define LPASS_CDC_RX_RX2_RX_PATH_SEC3		(RX_START_OFFSET + 0x05B0)
#define LPASS_CDC_RX_RX2_RX_PATH_SEC4		(RX_START_OFFSET + 0x05B4)
#define LPASS_CDC_RX_RX2_RX_PATH_SEC5		(RX_START_OFFSET + 0x05B8)
#define LPASS_CDC_RX_RX2_RX_PATH_SEC6		(RX_START_OFFSET + 0x05BC)
#define LPASS_CDC_RX_RX2_RX_PATH_SEC7		(RX_START_OFFSET + 0x05C0)
#define LPASS_CDC_RX_RX2_RX_PATH_MIX_SEC0	(RX_START_OFFSET + 0x05C4)
#define LPASS_CDC_RX_RX2_RX_PATH_MIX_SEC1	(RX_START_OFFSET + 0x05C8)
#define LPASS_CDC_RX_RX2_RX_PATH_DSM_CTL	(RX_START_OFFSET + 0x05CC)
#define LPASS_CDC_RX_CB_DECODE_CB_DECODE_CTL1	(RX_START_OFFSET + 0x0600)
#define LPASS_CDC_RX_CB_DECODE_CB_DECODE_CTL2	(RX_START_OFFSET + 0x0604)
#define LPASS_CDC_RX_CB_DECODE_CB_DECODE_CTL3	(RX_START_OFFSET + 0x0608)
#define LPASS_CDC_RX_CB_DECODE_CB_DECODE_CFG1	(RX_START_OFFSET + 0x060C)
#define LPASS_CDC_RX_CB_DECODE_CB_DECODE_CFG2	(RX_START_OFFSET + 0x0610)
#define LPASS_CDC_RX_CB_DECODE_CB_DECODE_CFG3	(RX_START_OFFSET + 0x0614)
#define LPASS_CDC_RX_CB_DECODE_CB_DECODE_CFG4	(RX_START_OFFSET + 0x0618)
#define LPASS_CDC_RX_CB_DECODE_CB_DECODE_CFG5	(RX_START_OFFSET + 0x061C)
#define LPASS_CDC_RX_CB_DECODE_CB_DECODE_CFG6	(RX_START_OFFSET + 0x0620)
#define LPASS_CDC_RX_CB_DECODE_CB_DECODE_CFG7	(RX_START_OFFSET + 0x0624)
#define LPASS_CDC_RX_CB_DECODE_CB_DECODE_CFG8	(RX_START_OFFSET + 0x0628)
#define LPASS_CDC_RX_CB_DECODE_CB_DECODE_TEST1	(RX_START_OFFSET + 0x062C)
#define LPASS_CDC_RX_CB_DECODE_CB_DECODE_TEST2	(RX_START_OFFSET + 0x0630)
#define LPASS_CDC_RX_CB_DECODE_CB_DECODE_TEST3	(RX_START_OFFSET + 0x0634)
#define LPASS_CDC_RX_CB_DECODE_CB_DECODE_TEST4	(RX_START_OFFSET + 0x0638)
#define LPASS_CDC_RX_CB_DECODE_CB_DECODE_ST1	(RX_START_OFFSET + 0x063C)
#define LPASS_CDC_RX_CB_DECODE_CB_DECODE_ST2	(RX_START_OFFSET + 0x0640)
#define LPASS_CDC_RX_CB_DECODE_CB_DECODE_ST3	(RX_START_OFFSET + 0x0644)
#define LPASS_CDC_RX_CB_DECODE_CB_DECODE_ST4	(RX_START_OFFSET + 0x0648)
#define LPASS_CDC_RX_CB_DECODE_CB_DECODE_ST5	(RX_START_OFFSET + 0x064C)
#define LPASS_CDC_RX_VBAT_TEMP_VBAT_PATH_CTL	(RX_START_OFFSET + 0x0680)
#define LPASS_CDC_RX_VBAT_TEMP_VBAT_CFG		(RX_START_OFFSET + 0x0684)
#define LPASS_CDC_RX_VBAT_TEMP_VBAT_ADC_CAL1	(RX_START_OFFSET + 0x0688)
#define LPASS_CDC_RX_VBAT_TEMP_VBAT_ADC_CAL2	(RX_START_OFFSET + 0x068C)
#define LPASS_CDC_RX_VBAT_TEMP_VBAT_ADC_CAL3	(RX_START_OFFSET + 0x0690)
#define LPASS_CDC_RX_VBAT_TEMP_VBAT_PK_EST1	(RX_START_OFFSET + 0x0694)
#define LPASS_CDC_RX_VBAT_TEMP_VBAT_PK_EST2	(RX_START_OFFSET + 0x0698)
#define LPASS_CDC_RX_VBAT_TEMP_VBAT_PK_EST3	(RX_START_OFFSET + 0x069C)
#define LPASS_CDC_RX_VBAT_TEMP_VBAT_RF_PROC1	(RX_START_OFFSET + 0x06A0)
#define LPASS_CDC_RX_VBAT_TEMP_VBAT_RF_PROC2	(RX_START_OFFSET + 0x06A4)
#define LPASS_CDC_RX_VBAT_TEMP_VBAT_TAC1	(RX_START_OFFSET + 0x06A8)
#define LPASS_CDC_RX_VBAT_TEMP_VBAT_TAC2	(RX_START_OFFSET + 0x06AC)
#define LPASS_CDC_RX_VBAT_TEMP_VBAT_TAC3	(RX_START_OFFSET + 0x06B0)
#define LPASS_CDC_RX_VBAT_TEMP_VBAT_TAC4	(RX_START_OFFSET + 0x06B4)
#define LPASS_CDC_RX_VBAT_TEMP_VBAT_GAIN_UPD1	(RX_START_OFFSET + 0x06B8)
#define LPASS_CDC_RX_VBAT_TEMP_VBAT_GAIN_UPD2	(RX_START_OFFSET + 0x06BC)
#define LPASS_CDC_RX_VBAT_TEMP_VBAT_GAIN_UPD3	(RX_START_OFFSET + 0x06C0)
#define LPASS_CDC_RX_VBAT_TEMP_VBAT_GAIN_UPD4	(RX_START_OFFSET + 0x06C4)
#define LPASS_CDC_RX_VBAT_TEMP_VBAT_GAIN_UPD5	(RX_START_OFFSET + 0x06C8)
#define LPASS_CDC_RX_VBAT_TEMP_VBAT_DEBUG1	(RX_START_OFFSET + 0x06CC)
#define LPASS_CDC_RX_VBAT_TEMP_VBAT_GAIN_UPD_MON \
						(RX_START_OFFSET + 0x06D0)
#define LPASS_CDC_RX_VBAT_TEMP_VBAT_GAIN_MON_VAL \
						(RX_START_OFFSET + 0x06D4)
#define LPASS_CDC_RX_VBAT_TEMP_VBAT_BAN		(RX_START_OFFSET + 0x06D8)
#define LPASS_CDC_RX_VBAT_TEMP_VBAT_BCL_GAIN_UPD1 \
						(RX_START_OFFSET + 0x06DC)
#define LPASS_CDC_RX_VBAT_TEMP_VBAT_BCL_GAIN_UPD2 \
						(RX_START_OFFSET + 0x06E0)
#define LPASS_CDC_RX_VBAT_TEMP_VBAT_BCL_GAIN_UPD3 \
						(RX_START_OFFSET + 0x06E4)
#define LPASS_CDC_RX_VBAT_TEMP_VBAT_BCL_GAIN_UPD4 \
						(RX_START_OFFSET + 0x06E8)
#define LPASS_CDC_RX_VBAT_TEMP_VBAT_BCL_GAIN_UPD5 \
						(RX_START_OFFSET + 0x06EC)
#define LPASS_CDC_RX_VBAT_TEMP_VBAT_BCL_GAIN_UPD6 \
						(RX_START_OFFSET + 0x06F0)
#define LPASS_CDC_RX_VBAT_TEMP_VBAT_BCL_GAIN_UPD7 \
						(RX_START_OFFSET + 0x06F4)
#define LPASS_CDC_RX_VBAT_TEMP_VBAT_BCL_GAIN_UPD8 \
						(RX_START_OFFSET + 0x06F8)
#define LPASS_CDC_RX_VBAT_TEMP_VBAT_BCL_GAIN_UPD9 \
						(RX_START_OFFSET + 0x06FC)
#define LPASS_CDC_RX_VBAT_TEMP_VBAT_BCL_ATTN1	(RX_START_OFFSET + 0x0700)
#define LPASS_CDC_RX_VBAT_TEMP_VBAT_BCL_ATTN2	(RX_START_OFFSET + 0x0704)
#define LPASS_CDC_RX_VBAT_TEMP_VBAT_BCL_ATTN3	(RX_START_OFFSET + 0x0708)
#define LPASS_CDC_RX_IDLE_DETECT_PATH_CTL	(RX_START_OFFSET + 0x0780)
#define LPASS_CDC_RX_IDLE_DETECT_CFG0		(RX_START_OFFSET + 0x0784)
#define LPASS_CDC_RX_IDLE_DETECT_CFG1		(RX_START_OFFSET + 0x0788)
#define LPASS_CDC_RX_IDLE_DETECT_CFG2		(RX_START_OFFSET + 0x078C)
#define LPASS_CDC_RX_IDLE_DETECT_CFG3		(RX_START_OFFSET + 0x0790)
#define LPASS_CDC_RX_COMPANDER0_CTL0		(RX_START_OFFSET + 0x0800)
#define LPASS_CDC_RX_COMPANDER0_CTL1		(RX_START_OFFSET + 0x0804)
#define LPASS_CDC_RX_COMPANDER0_CTL2		(RX_START_OFFSET + 0x0808)
#define LPASS_CDC_RX_COMPANDER0_CTL3		(RX_START_OFFSET + 0x080C)
#define LPASS_CDC_RX_COMPANDER0_CTL4		(RX_START_OFFSET + 0x0810)
#define LPASS_CDC_RX_COMPANDER0_CTL5		(RX_START_OFFSET + 0x0814)
#define LPASS_CDC_RX_COMPANDER0_CTL6		(RX_START_OFFSET + 0x0818)
#define LPASS_CDC_RX_COMPANDER0_CTL7		(RX_START_OFFSET + 0x081C)
#define LPASS_CDC_RX_COMPANDER0_CTL8		(RX_START_OFFSET + 0x0820)
#define LPASS_CDC_RX_COMPANDER0_CTL9		(RX_START_OFFSET + 0x0824)
#define LPASS_CDC_RX_COMPANDER0_CTL10		(RX_START_OFFSET + 0x0828)
#define LPASS_CDC_RX_COMPANDER0_CTL11		(RX_START_OFFSET + 0x082C)
#define LPASS_CDC_RX_COMPANDER0_CTL12		(RX_START_OFFSET + 0x0830)
#define LPASS_CDC_RX_COMPANDER0_CTL13		(RX_START_OFFSET + 0x0834)
#define LPASS_CDC_RX_COMPANDER0_CTL14		(RX_START_OFFSET + 0x0838)
#define LPASS_CDC_RX_COMPANDER0_CTL15		(RX_START_OFFSET + 0x083C)
#define LPASS_CDC_RX_COMPANDER0_CTL16		(RX_START_OFFSET + 0x0840)
#define LPASS_CDC_RX_COMPANDER0_CTL17		(RX_START_OFFSET + 0x0844)
#define LPASS_CDC_RX_COMPANDER0_CTL18		(RX_START_OFFSET + 0x0848)
#define LPASS_CDC_RX_COMPANDER0_CTL19		(RX_START_OFFSET + 0x084C)
#define LPASS_CDC_RX_COMPANDER1_CTL0		(RX_START_OFFSET + 0x0860)
#define LPASS_CDC_RX_COMPANDER1_CTL1		(RX_START_OFFSET + 0x0864)
#define LPASS_CDC_RX_COMPANDER1_CTL2		(RX_START_OFFSET + 0x0868)
#define LPASS_CDC_RX_COMPANDER1_CTL3		(RX_START_OFFSET + 0x086C)
#define LPASS_CDC_RX_COMPANDER1_CTL4		(RX_START_OFFSET + 0x0870)
#define LPASS_CDC_RX_COMPANDER1_CTL5		(RX_START_OFFSET + 0x0874)
#define LPASS_CDC_RX_COMPANDER1_CTL6		(RX_START_OFFSET + 0x0878)
#define LPASS_CDC_RX_COMPANDER1_CTL7		(RX_START_OFFSET + 0x087C)
#define LPASS_CDC_RX_COMPANDER1_CTL8		(RX_START_OFFSET + 0x0880)
#define LPASS_CDC_RX_COMPANDER1_CTL9		(RX_START_OFFSET + 0x0884)
#define LPASS_CDC_RX_COMPANDER1_CTL10		(RX_START_OFFSET + 0x0888)
#define LPASS_CDC_RX_COMPANDER1_CTL11		(RX_START_OFFSET + 0x088C)
#define LPASS_CDC_RX_COMPANDER1_CTL12		(RX_START_OFFSET + 0x0890)
#define LPASS_CDC_RX_COMPANDER1_CTL13		(RX_START_OFFSET + 0x0894)
#define LPASS_CDC_RX_COMPANDER1_CTL14		(RX_START_OFFSET + 0x0898)
#define LPASS_CDC_RX_COMPANDER1_CTL15		(RX_START_OFFSET + 0x089C)
#define LPASS_CDC_RX_COMPANDER1_CTL16		(RX_START_OFFSET + 0x08A0)
#define LPASS_CDC_RX_COMPANDER1_CTL17		(RX_START_OFFSET + 0x08A4)
#define LPASS_CDC_RX_COMPANDER1_CTL18		(RX_START_OFFSET + 0x08A8)
#define LPASS_CDC_RX_COMPANDER1_CTL19		(RX_START_OFFSET + 0x08AC)
#define LPASS_CDC_RX_SIDETONE_IIR0_IIR_PATH_CTL \
						(RX_START_OFFSET + 0x0A00)
#define LPASS_CDC_RX_SIDETONE_IIR0_IIR_GAIN_B1_CTL \
						(RX_START_OFFSET + 0x0A04)
#define LPASS_CDC_RX_SIDETONE_IIR0_IIR_GAIN_B2_CTL \
						(RX_START_OFFSET + 0x0A08)
#define LPASS_CDC_RX_SIDETONE_IIR0_IIR_GAIN_B3_CTL \
						(RX_START_OFFSET + 0x0A0C)
#define LPASS_CDC_RX_SIDETONE_IIR0_IIR_GAIN_B4_CTL \
						(RX_START_OFFSET + 0x0A10)
#define LPASS_CDC_RX_SIDETONE_IIR0_IIR_GAIN_B5_CTL \
						(RX_START_OFFSET + 0x0A14)
#define LPASS_CDC_RX_SIDETONE_IIR0_IIR_GAIN_B6_CTL \
						(RX_START_OFFSET + 0x0A18)
#define LPASS_CDC_RX_SIDETONE_IIR0_IIR_GAIN_B7_CTL \
						(RX_START_OFFSET + 0x0A1C)
#define LPASS_CDC_RX_SIDETONE_IIR0_IIR_GAIN_B8_CTL \
						(RX_START_OFFSET + 0x0A20)
#define LPASS_CDC_RX_SIDETONE_IIR0_IIR_CTL	(RX_START_OFFSET + 0x0A24)
#define LPASS_CDC_RX_SIDETONE_IIR0_IIR_GAIN_TIMER_CTL \
						(RX_START_OFFSET + 0x0A28)
#define LPASS_CDC_RX_SIDETONE_IIR0_IIR_COEF_B1_CTL \
						(RX_START_OFFSET + 0x0A2C)
#define LPASS_CDC_RX_SIDETONE_IIR0_IIR_COEF_B2_CTL \
						(RX_START_OFFSET + 0x0A30)
#define LPASS_CDC_RX_SIDETONE_IIR1_IIR_PATH_CTL \
						(RX_START_OFFSET + 0x0A80)
#define LPASS_CDC_RX_SIDETONE_IIR1_IIR_GAIN_B1_CTL \
						(RX_START_OFFSET + 0x0A84)
#define LPASS_CDC_RX_SIDETONE_IIR1_IIR_GAIN_B2_CTL \
						(RX_START_OFFSET + 0x0A88)
#define LPASS_CDC_RX_SIDETONE_IIR1_IIR_GAIN_B3_CTL \
						(RX_START_OFFSET + 0x0A8C)
#define LPASS_CDC_RX_SIDETONE_IIR1_IIR_GAIN_B4_CTL \
						(RX_START_OFFSET + 0x0A90)
#define LPASS_CDC_RX_SIDETONE_IIR1_IIR_GAIN_B5_CTL \
						(RX_START_OFFSET + 0x0A94)
#define LPASS_CDC_RX_SIDETONE_IIR1_IIR_GAIN_B6_CTL \
						(RX_START_OFFSET + 0x0A98)
#define LPASS_CDC_RX_SIDETONE_IIR1_IIR_GAIN_B7_CTL \
						(RX_START_OFFSET + 0x0A9C)
#define LPASS_CDC_RX_SIDETONE_IIR1_IIR_GAIN_B8_CTL \
						(RX_START_OFFSET + 0x0AA0)
#define LPASS_CDC_RX_SIDETONE_IIR1_IIR_CTL	(RX_START_OFFSET + 0x0AA4)
#define LPASS_CDC_RX_SIDETONE_IIR1_IIR_GAIN_TIMER_CTL \
						(RX_START_OFFSET + 0x0AA8)
#define LPASS_CDC_RX_SIDETONE_IIR1_IIR_COEF_B1_CTL \
						(RX_START_OFFSET + 0x0AAC)
#define LPASS_CDC_RX_SIDETONE_IIR1_IIR_COEF_B2_CTL \
						(RX_START_OFFSET + 0x0AB0)
#define LPASS_CDC_RX_IIR_INP_MUX_IIR0_MIX_CFG0	(RX_START_OFFSET + 0x0B00)
#define LPASS_CDC_RX_IIR_INP_MUX_IIR0_MIX_CFG1	(RX_START_OFFSET + 0x0B04)
#define LPASS_CDC_RX_IIR_INP_MUX_IIR0_MIX_CFG2	(RX_START_OFFSET + 0x0B08)
#define LPASS_CDC_RX_IIR_INP_MUX_IIR0_MIX_CFG3	(RX_START_OFFSET + 0x0B0C)
#define LPASS_CDC_RX_IIR_INP_MUX_IIR1_MIX_CFG0	(RX_START_OFFSET + 0x0B10)
#define LPASS_CDC_RX_IIR_INP_MUX_IIR1_MIX_CFG1	(RX_START_OFFSET + 0x0B14)
#define LPASS_CDC_RX_IIR_INP_MUX_IIR1_MIX_CFG2	(RX_START_OFFSET + 0x0B18)
#define LPASS_CDC_RX_IIR_INP_MUX_IIR1_MIX_CFG3	(RX_START_OFFSET + 0x0B1C)
#define LPASS_CDC_RX_SIDETONE_SRC0_ST_SRC_PATH_CTL \
						(RX_START_OFFSET + 0x0B40)
#define LPASS_CDC_RX_SIDETONE_SRC0_ST_SRC_PATH_CFG1 \
						(RX_START_OFFSET + 0x0B44)
#define LPASS_CDC_RX_SIDETONE_SRC1_ST_SRC_PATH_CTL \
						(RX_START_OFFSET + 0x0B50)
#define LPASS_CDC_RX_SIDETONE_SRC1_ST_SRC_PATH_CFG1 \
						(RX_START_OFFSET + 0x0B54)
#define LPASS_CDC_RX_EC_REF_HQ0_EC_REF_HQ_PATH_CTL \
						(RX_START_OFFSET + 0x0C00)
#define LPASS_CDC_RX_EC_REF_HQ0_EC_REF_HQ_CFG0	(RX_START_OFFSET + 0x0C04)
#define LPASS_CDC_RX_EC_REF_HQ1_EC_REF_HQ_PATH_CTL \
						(RX_START_OFFSET + 0x0C40)
#define LPASS_CDC_RX_EC_REF_HQ1_EC_REF_HQ_CFG0	(RX_START_OFFSET + 0x0C44)
#define LPASS_CDC_RX_EC_REF_HQ2_EC_REF_HQ_PATH_CTL \
						(RX_START_OFFSET + 0x0C80)
#define LPASS_CDC_RX_EC_REF_HQ2_EC_REF_HQ_CFG0	(RX_START_OFFSET + 0x0C84)
#define LPASS_CDC_RX_EC_ASRC0_CLK_RST_CTL	(RX_START_OFFSET + 0x0D00)
#define LPASS_CDC_RX_EC_ASRC0_CTL0		(RX_START_OFFSET + 0x0D04)
#define LPASS_CDC_RX_EC_ASRC0_CTL1		(RX_START_OFFSET + 0x0D08)
#define LPASS_CDC_RX_EC_ASRC0_FIFO_CTL		(RX_START_OFFSET + 0x0D0C)
#define LPASS_CDC_RX_EC_ASRC0_STATUS_FMIN_CNTR_LSB \
						(RX_START_OFFSET + 0x0D10)
#define LPASS_CDC_RX_EC_ASRC0_STATUS_FMIN_CNTR_MSB \
						(RX_START_OFFSET + 0x0D14)
#define LPASS_CDC_RX_EC_ASRC0_STATUS_FMAX_CNTR_LSB \
						(RX_START_OFFSET + 0x0D18)
#define LPASS_CDC_RX_EC_ASRC0_STATUS_FMAX_CNTR_MSB \
						(RX_START_OFFSET + 0x0D1C)
#define LPASS_CDC_RX_EC_ASRC0_STATUS_FIFO	(RX_START_OFFSET + 0x0D20)
#define LPASS_CDC_RX_EC_ASRC1_CLK_RST_CTL	(RX_START_OFFSET + 0x0D40)
#define LPASS_CDC_RX_EC_ASRC1_CTL0		(RX_START_OFFSET + 0x0D44)
#define LPASS_CDC_RX_EC_ASRC1_CTL1		(RX_START_OFFSET + 0x0D48)
#define LPASS_CDC_RX_EC_ASRC1_FIFO_CTL		(RX_START_OFFSET + 0x0D4C)
#define LPASS_CDC_RX_EC_ASRC1_STATUS_FMIN_CNTR_LSB \
						(RX_START_OFFSET + 0x0D50)
#define LPASS_CDC_RX_EC_ASRC1_STATUS_FMIN_CNTR_MSB \
						(RX_START_OFFSET + 0x0D54)
#define LPASS_CDC_RX_EC_ASRC1_STATUS_FMAX_CNTR_LSB \
						(RX_START_OFFSET + 0x0D58)
#define LPASS_CDC_RX_EC_ASRC1_STATUS_FMAX_CNTR_MSB \
						(RX_START_OFFSET + 0x0D5C)
#define LPASS_CDC_RX_EC_ASRC1_STATUS_FIFO	(RX_START_OFFSET + 0x0D60)
#define LPASS_CDC_RX_EC_ASRC2_CLK_RST_CTL	(RX_START_OFFSET + 0x0D80)
#define LPASS_CDC_RX_EC_ASRC2_CTL0		(RX_START_OFFSET + 0x0D84)
#define LPASS_CDC_RX_EC_ASRC2_CTL1		(RX_START_OFFSET + 0x0D88)
#define LPASS_CDC_RX_EC_ASRC2_FIFO_CTL		(RX_START_OFFSET + 0x0D8C)
#define LPASS_CDC_RX_EC_ASRC2_STATUS_FMIN_CNTR_LSB \
						(RX_START_OFFSET + 0x0D90)
#define LPASS_CDC_RX_EC_ASRC2_STATUS_FMIN_CNTR_MSB \
						(RX_START_OFFSET + 0x0D94)
#define LPASS_CDC_RX_EC_ASRC2_STATUS_FMAX_CNTR_LSB \
						(RX_START_OFFSET + 0x0D98)
#define LPASS_CDC_RX_EC_ASRC2_STATUS_FMAX_CNTR_MSB \
						(RX_START_OFFSET + 0x0D9C)
#define LPASS_CDC_RX_EC_ASRC2_STATUS_FIFO	(RX_START_OFFSET + 0x0DA0)
#define LPASS_CDC_RX_DSD0_PATH_CTL		(RX_START_OFFSET + 0x0F00)
#define LPASS_CDC_RX_DSD0_CFG0			(RX_START_OFFSET + 0x0F04)
#define LPASS_CDC_RX_DSD0_CFG1			(RX_START_OFFSET + 0x0F08)
#define LPASS_CDC_RX_DSD0_CFG2			(RX_START_OFFSET + 0x0F0C)
#define LPASS_CDC_RX_DSD1_PATH_CTL		(RX_START_OFFSET + 0x0F80)
#define LPASS_CDC_RX_DSD1_CFG0			(RX_START_OFFSET + 0x0F84)
#define LPASS_CDC_RX_DSD1_CFG1			(RX_START_OFFSET + 0x0F88)
#define LPASS_CDC_RX_DSD1_CFG2			(RX_START_OFFSET + 0x0F8C)
#define RX_MAX_OFFSET				(RX_START_OFFSET + 0x0F8C)

#define LPASS_CDC_RX_MACRO_MAX 0x3E4 /* F8C/4 = 3E3 + 1 */

/* WSA - macro#2 */
#define WSA_START_OFFSET			0x2000
#define LPASS_CDC_WSA_CLK_RST_CTRL_MCLK_CONTROL \
						(WSA_START_OFFSET + 0x0000)
#define LPASS_CDC_WSA_CLK_RST_CTRL_FS_CNT_CONTROL \
						(WSA_START_OFFSET + 0x0004)
#define LPASS_CDC_WSA_CLK_RST_CTRL_SWR_CONTROL	(WSA_START_OFFSET + 0x0008)
#define LPASS_CDC_WSA_TOP_TOP_CFG0		(WSA_START_OFFSET + 0x0080)
#define LPASS_CDC_WSA_TOP_TOP_CFG1		(WSA_START_OFFSET + 0x0084)
#define LPASS_CDC_WSA_TOP_FREQ_MCLK		(WSA_START_OFFSET + 0x0088)
#define LPASS_CDC_WSA_TOP_DEBUG_BUS_SEL	(WSA_START_OFFSET + 0x008C)
#define LPASS_CDC_WSA_TOP_DEBUG_EN0		(WSA_START_OFFSET + 0x0090)
#define LPASS_CDC_WSA_TOP_DEBUG_EN1		(WSA_START_OFFSET + 0x0094)
#define LPASS_CDC_WSA_TOP_DEBUG_DSM_LB		(WSA_START_OFFSET + 0x0098)
#define LPASS_CDC_WSA_TOP_RX_I2S_CTL		(WSA_START_OFFSET + 0x009C)
#define LPASS_CDC_WSA_TOP_TX_I2S_CTL		(WSA_START_OFFSET + 0x00A0)
#define LPASS_CDC_WSA_TOP_I2S_CLK		(WSA_START_OFFSET + 0x00A4)
#define LPASS_CDC_WSA_TOP_I2S_RESET		(WSA_START_OFFSET + 0x00A8)
#define LPASS_CDC_WSA_TOP_FS_UNGATE		(WSA_START_OFFSET + 0x00AC)
#define LPASS_CDC_WSA_TOP_GRP_SEL		(WSA_START_OFFSET + 0x00B0)
#define LPASS_CDC_WSA_TOP_SPKR_COMP7_WR_LSB	(WSA_START_OFFSET + 0x00B4)
#define LPASS_CDC_WSA_TOP_SPKR_COMP7_WR_MSB	(WSA_START_OFFSET + 0x00B8)
#define LPASS_CDC_WSA_TOP_SPKR_COMP7_LUT	(WSA_START_OFFSET + 0x00BC)
#define LPASS_CDC_WSA_TOP_SPKR_COMP7_RD_LSB	(WSA_START_OFFSET + 0x00C0)
#define LPASS_CDC_WSA_TOP_SPKR_COMP7_RD_MSB	(WSA_START_OFFSET + 0x00C4)
#define LPASS_CDC_WSA_TOP_SPKR_COMP8_WR_LSB	(WSA_START_OFFSET + 0x00C8)
#define LPASS_CDC_WSA_TOP_SPKR_COMP8_WR_MSB	(WSA_START_OFFSET + 0x00CC)
#define LPASS_CDC_WSA_TOP_SPKR_COMP8_LUT	(WSA_START_OFFSET + 0x00D0)
#define LPASS_CDC_WSA_TOP_SPKR_COMP8_RD_LSB	(WSA_START_OFFSET + 0x00D4)
#define LPASS_CDC_WSA_TOP_SPKR_COMP8_RD_MSB	(WSA_START_OFFSET + 0x00D8)
#define LPASS_CDC_WSA_TOP_FS_UNGATE2		(WSA_START_OFFSET + 0x00DC)
#define LPASS_CDC_WSA_TOP_SEQ_CTL0		(WSA_START_OFFSET + 0x00E0)
#define LPASS_CDC_WSA_RX_INP_MUX_RX_INT0_CFG0	(WSA_START_OFFSET + 0x0100)
#define LPASS_CDC_WSA_RX_INP_MUX_RX_INT0_CFG1	(WSA_START_OFFSET + 0x0104)
#define LPASS_CDC_WSA_RX_INP_MUX_RX_INT1_CFG0	(WSA_START_OFFSET + 0x0108)
#define LPASS_CDC_WSA_RX_INP_MUX_RX_INT1_CFG1	(WSA_START_OFFSET + 0x010C)
#define LPASS_CDC_WSA_RX_INP_MUX_RX_MIX_CFG0	(WSA_START_OFFSET + 0x0110)
#define LPASS_CDC_WSA_RX_INP_MUX_RX_EC_CFG0	(WSA_START_OFFSET + 0x0114)
#define LPASS_CDC_WSA_RX_INP_MUX_SOFTCLIP_CFG0	(WSA_START_OFFSET + 0x0118)
/* VBAT registers  */
#define LPASS_CDC_WSA_VBAT_BCL_VBAT_PATH_CTL	(WSA_START_OFFSET + 0x0180)
#define LPASS_CDC_WSA_VBAT_BCL_VBAT_CFG	(WSA_START_OFFSET + 0x0184)
#define LPASS_CDC_WSA_VBAT_BCL_VBAT_ADC_CAL1	(WSA_START_OFFSET + 0x0188)
#define LPASS_CDC_WSA_VBAT_BCL_VBAT_ADC_CAL2	(WSA_START_OFFSET + 0x018C)
#define LPASS_CDC_WSA_VBAT_BCL_VBAT_ADC_CAL3	(WSA_START_OFFSET + 0x0190)
#define LPASS_CDC_WSA_VBAT_BCL_VBAT_PK_EST1	(WSA_START_OFFSET + 0x0194)
#define LPASS_CDC_WSA_VBAT_BCL_VBAT_PK_EST2	(WSA_START_OFFSET + 0x0198)
#define LPASS_CDC_WSA_VBAT_BCL_VBAT_PK_EST3	(WSA_START_OFFSET + 0x019C)
#define LPASS_CDC_WSA_VBAT_BCL_VBAT_RF_PROC1	(WSA_START_OFFSET + 0x01A0)
#define LPASS_CDC_WSA_VBAT_BCL_VBAT_RF_PROC2	(WSA_START_OFFSET + 0x01A4)
#define LPASS_CDC_WSA_VBAT_BCL_VBAT_TAC1	(WSA_START_OFFSET + 0x01A8)
#define LPASS_CDC_WSA_VBAT_BCL_VBAT_TAC2	(WSA_START_OFFSET + 0x01AC)
#define LPASS_CDC_WSA_VBAT_BCL_VBAT_TAC3	(WSA_START_OFFSET + 0x01B0)
#define LPASS_CDC_WSA_VBAT_BCL_VBAT_TAC4	(WSA_START_OFFSET + 0x01B4)
#define LPASS_CDC_WSA_VBAT_BCL_VBAT_GAIN_UPD1	(WSA_START_OFFSET + 0x01B8)
#define LPASS_CDC_WSA_VBAT_BCL_VBAT_GAIN_UPD2	(WSA_START_OFFSET + 0x01BC)
#define LPASS_CDC_WSA_VBAT_BCL_VBAT_GAIN_UPD3	(WSA_START_OFFSET + 0x01C0)
#define LPASS_CDC_WSA_VBAT_BCL_VBAT_GAIN_UPD4	(WSA_START_OFFSET + 0x01C4)
#define LPASS_CDC_WSA_VBAT_BCL_VBAT_GAIN_UPD5	(WSA_START_OFFSET + 0x01C8)
#define LPASS_CDC_WSA_VBAT_BCL_VBAT_DEBUG1	(WSA_START_OFFSET + 0x01CC)
#define LPASS_CDC_WSA_VBAT_BCL_VBAT_GAIN_UPD_MON \
						(WSA_START_OFFSET + 0x01D0)
#define LPASS_CDC_WSA_VBAT_BCL_VBAT_GAIN_MON_VAL \
						(WSA_START_OFFSET + 0x01D4)
#define LPASS_CDC_WSA_VBAT_BCL_VBAT_BAN	(WSA_START_OFFSET + 0x01D8)
#define LPASS_CDC_WSA_VBAT_BCL_VBAT_BCL_GAIN_UPD1 \
						(WSA_START_OFFSET + 0x01DC)
#define LPASS_CDC_WSA_VBAT_BCL_VBAT_BCL_GAIN_UPD2 \
						(WSA_START_OFFSET + 0x01E0)
#define LPASS_CDC_WSA_VBAT_BCL_VBAT_BCL_GAIN_UPD3 \
						(WSA_START_OFFSET + 0x01E4)
#define LPASS_CDC_WSA_VBAT_BCL_VBAT_BCL_GAIN_UPD4 \
						(WSA_START_OFFSET + 0x01E8)
#define LPASS_CDC_WSA_VBAT_BCL_VBAT_BCL_GAIN_UPD5 \
						(WSA_START_OFFSET + 0x01EC)
#define LPASS_CDC_WSA_VBAT_BCL_VBAT_BCL_GAIN_UPD6 \
						(WSA_START_OFFSET + 0x01F0)
#define LPASS_CDC_WSA_VBAT_BCL_VBAT_BCL_GAIN_UPD7 \
						(WSA_START_OFFSET + 0x01F4)
#define LPASS_CDC_WSA_VBAT_BCL_VBAT_BCL_GAIN_UPD8 \
						(WSA_START_OFFSET + 0x01F8)
#define LPASS_CDC_WSA_VBAT_BCL_VBAT_BCL_GAIN_UPD9 \
						(WSA_START_OFFSET + 0x01FC)
#define LPASS_CDC_WSA_VBAT_BCL_VBAT_BCL_ATTN1	(WSA_START_OFFSET + 0x0200)
#define LPASS_CDC_WSA_VBAT_BCL_VBAT_BCL_ATTN2	(WSA_START_OFFSET + 0x0204)
#define LPASS_CDC_WSA_VBAT_BCL_VBAT_BCL_ATTN3	(WSA_START_OFFSET + 0x0208)
#define LPASS_CDC_WSA_TX0_SPKR_PROT_PATH_CTL	(WSA_START_OFFSET + 0x0244)
#define LPASS_CDC_WSA_TX0_SPKR_PROT_PATH_CFG0	(WSA_START_OFFSET + 0x0248)
#define LPASS_CDC_WSA_TX1_SPKR_PROT_PATH_CTL	(WSA_START_OFFSET + 0x0264)
#define LPASS_CDC_WSA_TX1_SPKR_PROT_PATH_CFG0	(WSA_START_OFFSET + 0x0268)
#define LPASS_CDC_WSA_TX2_SPKR_PROT_PATH_CTL	(WSA_START_OFFSET + 0x0284)
#define LPASS_CDC_WSA_TX2_SPKR_PROT_PATH_CFG0	(WSA_START_OFFSET + 0x0288)
#define LPASS_CDC_WSA_TX3_SPKR_PROT_PATH_CTL	(WSA_START_OFFSET + 0x02A4)
#define LPASS_CDC_WSA_TX3_SPKR_PROT_PATH_CFG0	(WSA_START_OFFSET + 0x02A8)
#define LPASS_CDC_WSA_INTR_CTRL_CFG		(WSA_START_OFFSET + 0x0340)
#define LPASS_CDC_WSA_INTR_CTRL_CLR_COMMIT	(WSA_START_OFFSET + 0x0344)
#define LPASS_CDC_WSA_INTR_CTRL_PIN1_MASK0	(WSA_START_OFFSET + 0x0360)
#define LPASS_CDC_WSA_INTR_CTRL_PIN1_STATUS0	(WSA_START_OFFSET + 0x0368)
#define LPASS_CDC_WSA_INTR_CTRL_PIN1_CLEAR0	(WSA_START_OFFSET + 0x0370)
#define LPASS_CDC_WSA_INTR_CTRL_PIN2_MASK0	(WSA_START_OFFSET + 0x0380)
#define LPASS_CDC_WSA_INTR_CTRL_PIN2_STATUS0	(WSA_START_OFFSET + 0x0388)
#define LPASS_CDC_WSA_INTR_CTRL_PIN2_CLEAR0	(WSA_START_OFFSET + 0x0390)
#define LPASS_CDC_WSA_INTR_CTRL_LEVEL0		(WSA_START_OFFSET + 0x03C0)
#define LPASS_CDC_WSA_INTR_CTRL_BYPASS0	(WSA_START_OFFSET + 0x03C8)
#define LPASS_CDC_WSA_INTR_CTRL_SET0		(WSA_START_OFFSET + 0x03D0)
#define LPASS_CDC_WSA_RX0_RX_PATH_CTL		(WSA_START_OFFSET + 0x0400)
#define LPASS_CDC_WSA_RX0_RX_PATH_CFG0		(WSA_START_OFFSET + 0x0404)
#define LPASS_CDC_WSA_RX0_RX_PATH_CFG1		(WSA_START_OFFSET + 0x0408)
#define LPASS_CDC_WSA_RX0_RX_PATH_CFG2		(WSA_START_OFFSET + 0x040C)
#define LPASS_CDC_WSA_RX0_RX_PATH_CFG3		(WSA_START_OFFSET + 0x0410)
#define LPASS_CDC_WSA_RX0_RX_VOL_CTL		(WSA_START_OFFSET + 0x0414)
#define LPASS_CDC_WSA_RX0_RX_PATH_MIX_CTL	(WSA_START_OFFSET + 0x0418)
#define LPASS_CDC_WSA_RX0_RX_PATH_MIX_CFG	(WSA_START_OFFSET + 0x041C)
#define LPASS_CDC_WSA_RX0_RX_VOL_MIX_CTL	(WSA_START_OFFSET + 0x0420)
#define LPASS_CDC_WSA_RX0_RX_PATH_SEC0		(WSA_START_OFFSET + 0x0424)
#define LPASS_CDC_WSA_RX0_RX_PATH_SEC1		(WSA_START_OFFSET + 0x0428)
#define LPASS_CDC_WSA_RX0_RX_PATH_SEC2		(WSA_START_OFFSET + 0x042C)
#define LPASS_CDC_WSA_RX0_RX_PATH_SEC3		(WSA_START_OFFSET + 0x0430)
#define LPASS_CDC_WSA_RX0_RX_PATH_SEC5		(WSA_START_OFFSET + 0x0438)
#define LPASS_CDC_WSA_RX0_RX_PATH_SEC6		(WSA_START_OFFSET + 0x043C)
#define LPASS_CDC_WSA_RX0_RX_PATH_SEC7		(WSA_START_OFFSET + 0x0440)
#define LPASS_CDC_WSA_RX0_RX_PATH_MIX_SEC0	(WSA_START_OFFSET + 0x0444)
#define LPASS_CDC_WSA_RX0_RX_PATH_MIX_SEC1	(WSA_START_OFFSET + 0x0448)
#define LPASS_CDC_WSA_RX0_RX_PATH_DSMDEM_CTL	(WSA_START_OFFSET + 0x044C)
#define LPASS_CDC_WSA_RX1_RX_PATH_CTL		(WSA_START_OFFSET + 0x0480)
#define LPASS_CDC_WSA_RX1_RX_PATH_CFG0		(WSA_START_OFFSET + 0x0484)
#define LPASS_CDC_WSA_RX1_RX_PATH_CFG1		(WSA_START_OFFSET + 0x0488)
#define LPASS_CDC_WSA_RX1_RX_PATH_CFG2		(WSA_START_OFFSET + 0x048C)
#define LPASS_CDC_WSA_RX1_RX_PATH_CFG3		(WSA_START_OFFSET + 0x0490)
#define LPASS_CDC_WSA_RX1_RX_VOL_CTL		(WSA_START_OFFSET + 0x0494)
#define LPASS_CDC_WSA_RX1_RX_PATH_MIX_CTL	(WSA_START_OFFSET + 0x0498)
#define LPASS_CDC_WSA_RX1_RX_PATH_MIX_CFG	(WSA_START_OFFSET + 0x049C)
#define LPASS_CDC_WSA_RX1_RX_VOL_MIX_CTL	(WSA_START_OFFSET + 0x04A0)
#define LPASS_CDC_WSA_RX1_RX_PATH_SEC0		(WSA_START_OFFSET + 0x04A4)
#define LPASS_CDC_WSA_RX1_RX_PATH_SEC1		(WSA_START_OFFSET + 0x04A8)
#define LPASS_CDC_WSA_RX1_RX_PATH_SEC2		(WSA_START_OFFSET + 0x04AC)
#define LPASS_CDC_WSA_RX1_RX_PATH_SEC3		(WSA_START_OFFSET + 0x04B0)
#define LPASS_CDC_WSA_RX1_RX_PATH_SEC5		(WSA_START_OFFSET + 0x04B8)
#define LPASS_CDC_WSA_RX1_RX_PATH_SEC6		(WSA_START_OFFSET + 0x04BC)
#define LPASS_CDC_WSA_RX1_RX_PATH_SEC7		(WSA_START_OFFSET + 0x04C0)
#define LPASS_CDC_WSA_RX1_RX_PATH_MIX_SEC0	(WSA_START_OFFSET + 0x04C4)
#define LPASS_CDC_WSA_RX1_RX_PATH_MIX_SEC1	(WSA_START_OFFSET + 0x04C8)
#define LPASS_CDC_WSA_RX1_RX_PATH_DSMDEM_CTL	(WSA_START_OFFSET + 0x04CC)
#define LPASS_CDC_WSA_BOOST0_BOOST_PATH_CTL	(WSA_START_OFFSET + 0x0500)
#define LPASS_CDC_WSA_BOOST0_BOOST_CTL		(WSA_START_OFFSET + 0x0504)
#define LPASS_CDC_WSA_BOOST0_BOOST_CFG1	(WSA_START_OFFSET + 0x0508)
#define LPASS_CDC_WSA_BOOST0_BOOST_CFG2	(WSA_START_OFFSET + 0x050C)
#define LPASS_CDC_WSA_BOOST1_BOOST_PATH_CTL	(WSA_START_OFFSET + 0x0540)
#define LPASS_CDC_WSA_BOOST1_BOOST_CTL		(WSA_START_OFFSET + 0x0544)
#define LPASS_CDC_WSA_BOOST1_BOOST_CFG1	(WSA_START_OFFSET + 0x0548)
#define LPASS_CDC_WSA_BOOST1_BOOST_CFG2	(WSA_START_OFFSET + 0x054C)
#define LPASS_CDC_WSA_COMPANDER0_CTL0		(WSA_START_OFFSET + 0x0580)
#define LPASS_CDC_WSA_COMPANDER0_CTL1		(WSA_START_OFFSET + 0x0584)
#define LPASS_CDC_WSA_COMPANDER0_CTL2		(WSA_START_OFFSET + 0x0588)
#define LPASS_CDC_WSA_COMPANDER0_CTL3		(WSA_START_OFFSET + 0x058C)
#define LPASS_CDC_WSA_COMPANDER0_CTL4		(WSA_START_OFFSET + 0x0590)
#define LPASS_CDC_WSA_COMPANDER0_CTL5		(WSA_START_OFFSET + 0x0594)
#define LPASS_CDC_WSA_COMPANDER0_CTL6		(WSA_START_OFFSET + 0x0598)
#define LPASS_CDC_WSA_COMPANDER0_CTL7		(WSA_START_OFFSET + 0x059C)
#define LPASS_CDC_WSA_COMPANDER0_CTL8		(WSA_START_OFFSET + 0x05A0)
#define LPASS_CDC_WSA_COMPANDER0_CTL9		(WSA_START_OFFSET + 0x05A4)
#define LPASS_CDC_WSA_COMPANDER0_CTL10		(WSA_START_OFFSET + 0x05A8)
#define LPASS_CDC_WSA_COMPANDER0_CTL11		(WSA_START_OFFSET + 0x05AC)
#define LPASS_CDC_WSA_COMPANDER0_CTL12		(WSA_START_OFFSET + 0x05B0)
#define LPASS_CDC_WSA_COMPANDER0_CTL13		(WSA_START_OFFSET + 0x05B4)
#define LPASS_CDC_WSA_COMPANDER0_CTL14		(WSA_START_OFFSET + 0x05B8)
#define LPASS_CDC_WSA_COMPANDER0_CTL15		(WSA_START_OFFSET + 0x05BC)
#define LPASS_CDC_WSA_COMPANDER0_CTL16		(WSA_START_OFFSET + 0x05C0)
#define LPASS_CDC_WSA_COMPANDER0_CTL17		(WSA_START_OFFSET + 0x05C4)
#define LPASS_CDC_WSA_COMPANDER0_CTL18		(WSA_START_OFFSET + 0x05C8)
#define LPASS_CDC_WSA_COMPANDER0_CTL19		(WSA_START_OFFSET + 0x05CC)
#define LPASS_CDC_WSA_COMPANDER1_CTL0		(WSA_START_OFFSET + 0x05E0)
#define LPASS_CDC_WSA_COMPANDER1_CTL1		(WSA_START_OFFSET + 0x05E4)
#define LPASS_CDC_WSA_COMPANDER1_CTL2		(WSA_START_OFFSET + 0x05E8)
#define LPASS_CDC_WSA_COMPANDER1_CTL3		(WSA_START_OFFSET + 0x05EC)
#define LPASS_CDC_WSA_COMPANDER1_CTL4		(WSA_START_OFFSET + 0x05F0)
#define LPASS_CDC_WSA_COMPANDER1_CTL5		(WSA_START_OFFSET + 0x05F4)
#define LPASS_CDC_WSA_COMPANDER1_CTL6		(WSA_START_OFFSET + 0x05F8)
#define LPASS_CDC_WSA_COMPANDER1_CTL7		(WSA_START_OFFSET + 0x05FC)
#define LPASS_CDC_WSA_COMPANDER1_CTL8		(WSA_START_OFFSET + 0x0600)
#define LPASS_CDC_WSA_COMPANDER1_CTL9		(WSA_START_OFFSET + 0x0604)
#define LPASS_CDC_WSA_COMPANDER1_CTL10		(WSA_START_OFFSET + 0x0608)
#define LPASS_CDC_WSA_COMPANDER1_CTL11		(WSA_START_OFFSET + 0x060C)
#define LPASS_CDC_WSA_COMPANDER1_CTL12		(WSA_START_OFFSET + 0x0610)
#define LPASS_CDC_WSA_COMPANDER1_CTL13		(WSA_START_OFFSET + 0x0614)
#define LPASS_CDC_WSA_COMPANDER1_CTL14		(WSA_START_OFFSET + 0x0618)
#define LPASS_CDC_WSA_COMPANDER1_CTL15		(WSA_START_OFFSET + 0x061C)
#define LPASS_CDC_WSA_COMPANDER1_CTL16		(WSA_START_OFFSET + 0x0620)
#define LPASS_CDC_WSA_COMPANDER1_CTL17		(WSA_START_OFFSET + 0x0624)
#define LPASS_CDC_WSA_COMPANDER1_CTL18		(WSA_START_OFFSET + 0x0628)
#define LPASS_CDC_WSA_COMPANDER1_CTL19		(WSA_START_OFFSET + 0x062C)
#define LPASS_CDC_WSA_SOFTCLIP0_CRC		(WSA_START_OFFSET + 0x0640)
#define LPASS_CDC_WSA_SOFTCLIP0_SOFTCLIP_CTRL	(WSA_START_OFFSET + 0x0644)
#define LPASS_CDC_WSA_SOFTCLIP1_CRC		(WSA_START_OFFSET + 0x0660)
#define LPASS_CDC_WSA_SOFTCLIP1_SOFTCLIP_CTRL	(WSA_START_OFFSET + 0x0664)
#define LPASS_CDC_WSA_EC_HQ0_EC_REF_HQ_PATH_CTL \
						(WSA_START_OFFSET + 0x0680)
#define LPASS_CDC_WSA_EC_HQ0_EC_REF_HQ_CFG0	(WSA_START_OFFSET + 0x0684)
#define LPASS_CDC_WSA_EC_HQ1_EC_REF_HQ_PATH_CTL \
						(WSA_START_OFFSET + 0x06C0)
#define LPASS_CDC_WSA_EC_HQ1_EC_REF_HQ_CFG0	(WSA_START_OFFSET + 0x06C4)
#define LPASS_CDC_WSA_IDLE_DETECT_PATH_CTL	(WSA_START_OFFSET + 0x0780)
#define LPASS_CDC_WSA_IDLE_DETECT_CFG0		(WSA_START_OFFSET + 0x0784)
#define LPASS_CDC_WSA_IDLE_DETECT_CFG1		(WSA_START_OFFSET + 0x0788)
#define LPASS_CDC_WSA_IDLE_DETECT_CFG2		(WSA_START_OFFSET + 0x078C)
#define LPASS_CDC_WSA_IDLE_DETECT_CFG3		(WSA_START_OFFSET + 0x0790)
#define LPASS_CDC_WSA_CB_DECODE_CB_DECODE_CTL1	(WSA_START_OFFSET + 0x0900)
#define LPASS_CDC_WSA_CB_DECODE_CB_DECODE_CTL2	(WSA_START_OFFSET + 0x0904)
#define LPASS_CDC_WSA_CB_DECODE_CB_DECODE_CTL3	(WSA_START_OFFSET + 0x0908)
#define LPASS_CDC_WSA_CB_DECODE_CB_DECODE_CFG1	(WSA_START_OFFSET + 0x090C)
#define LPASS_CDC_WSA_CB_DECODE_CB_DECODE_CFG2	(WSA_START_OFFSET + 0x0910)
#define LPASS_CDC_WSA_CB_DECODE_CB_DECODE_CFG3	(WSA_START_OFFSET + 0x0914)
#define LPASS_CDC_WSA_CB_DECODE_CB_DECODE_CFG4	(WSA_START_OFFSET + 0x0918)
#define LPASS_CDC_WSA_CB_DECODE_CB_DECODE_CFG5	(WSA_START_OFFSET + 0x091C)
#define LPASS_CDC_WSA_CB_DECODE_CB_DECODE_CFG6	(WSA_START_OFFSET + 0x0920)
#define LPASS_CDC_WSA_CB_DECODE_CB_DECODE_CFG7	(WSA_START_OFFSET + 0x0924)
#define LPASS_CDC_WSA_CB_DECODE_CB_DECODE_CFG8	(WSA_START_OFFSET + 0x0928)
#define LPASS_CDC_WSA_CB_DECODE_CB_DECODE_TEST1 \
						(WSA_START_OFFSET + 0x092C)
#define LPASS_CDC_WSA_CB_DECODE_CB_DECODE_TEST2 \
						(WSA_START_OFFSET + 0x0930)
#define LPASS_CDC_WSA_CB_DECODE_CB_DECODE_TEST3 \
						(WSA_START_OFFSET + 0x0934)
#define LPASS_CDC_WSA_CB_DECODE_CB_DECODE_TEST4 \
						(WSA_START_OFFSET + 0x0938)
#define LPASS_CDC_WSA_CB_DECODE_CB_DECODE_ST1	(WSA_START_OFFSET + 0x093C)
#define LPASS_CDC_WSA_CB_DECODE_CB_DECODE_ST2	(WSA_START_OFFSET + 0x0940)
#define LPASS_CDC_WSA_CB_DECODE_CB_DECODE_ST3	(WSA_START_OFFSET + 0x0944)
#define LPASS_CDC_WSA_CB_DECODE_CB_DECODE_ST4	(WSA_START_OFFSET + 0x0948)
#define LPASS_CDC_WSA_CB_DECODE_CB_DECODE_ST5	(WSA_START_OFFSET + 0x094C)
#define LPASS_CDC_WSA_VBAT_TEMP_VBAT_PATH_CTL	(WSA_START_OFFSET + 0x0980)
#define LPASS_CDC_WSA_VBAT_TEMP_VBAT_CFG	(WSA_START_OFFSET + 0x0984)
#define LPASS_CDC_WSA_VBAT_TEMP_VBAT_ADC_CAL1	(WSA_START_OFFSET + 0x0988)
#define LPASS_CDC_WSA_VBAT_TEMP_VBAT_ADC_CAL2	(WSA_START_OFFSET + 0x098C)
#define LPASS_CDC_WSA_VBAT_TEMP_VBAT_ADC_CAL3	(WSA_START_OFFSET + 0x0990)
#define LPASS_CDC_WSA_VBAT_TEMP_VBAT_PK_EST1	(WSA_START_OFFSET + 0x0994)
#define LPASS_CDC_WSA_VBAT_TEMP_VBAT_PK_EST2	(WSA_START_OFFSET + 0x0998)
#define LPASS_CDC_WSA_VBAT_TEMP_VBAT_PK_EST3	(WSA_START_OFFSET + 0x099C)
#define LPASS_CDC_WSA_VBAT_TEMP_VBAT_RF_PROC1	(WSA_START_OFFSET + 0x09A0)
#define LPASS_CDC_WSA_VBAT_TEMP_VBAT_RF_PROC2	(WSA_START_OFFSET + 0x09A4)
#define LPASS_CDC_WSA_VBAT_TEMP_VBAT_TAC1	(WSA_START_OFFSET + 0x09A8)
#define LPASS_CDC_WSA_VBAT_TEMP_VBAT_TAC2	(WSA_START_OFFSET + 0x09AC)
#define LPASS_CDC_WSA_VBAT_TEMP_VBAT_TAC3	(WSA_START_OFFSET + 0x09B0)
#define LPASS_CDC_WSA_VBAT_TEMP_VBAT_TAC4	(WSA_START_OFFSET + 0x09B4)
#define LPASS_CDC_WSA_VBAT_TEMP_VBAT_GAIN_UPD1	(WSA_START_OFFSET + 0x09B8)
#define LPASS_CDC_WSA_VBAT_TEMP_VBAT_GAIN_UPD2	(WSA_START_OFFSET + 0x09BC)
#define LPASS_CDC_WSA_VBAT_TEMP_VBAT_GAIN_UPD3	(WSA_START_OFFSET + 0x09C0)
#define LPASS_CDC_WSA_VBAT_TEMP_VBAT_GAIN_UPD4	(WSA_START_OFFSET + 0x09C4)
#define LPASS_CDC_WSA_VBAT_TEMP_VBAT_GAIN_UPD5	(WSA_START_OFFSET + 0x09C8)
#define LPASS_CDC_WSA_VBAT_TEMP_VBAT_DEBUG1	(WSA_START_OFFSET + 0x09CC)
#define LPASS_CDC_WSA_VBAT_TEMP_VBAT_GAIN_UPD_MON \
						(WSA_START_OFFSET + 0x09D0)
#define LPASS_CDC_WSA_VBAT_TEMP_VBAT_GAIN_MON_VAL \
						(WSA_START_OFFSET + 0x09D4)
#define LPASS_CDC_WSA_VBAT_TEMP_VBAT_BAN	(WSA_START_OFFSET + 0x09D8)
#define LPASS_CDC_WSA_VBAT_TEMP_VBAT_BCL_GAIN_UPD1 \
						(WSA_START_OFFSET + 0x09DC)
#define LPASS_CDC_WSA_VBAT_TEMP_VBAT_BCL_GAIN_UPD2 \
						(WSA_START_OFFSET + 0x09E0)
#define LPASS_CDC_WSA_VBAT_TEMP_VBAT_BCL_GAIN_UPD3 \
						(WSA_START_OFFSET + 0x09E4)
#define LPASS_CDC_WSA_VBAT_TEMP_VBAT_BCL_GAIN_UPD4 \
						(WSA_START_OFFSET + 0x09E8)
#define LPASS_CDC_WSA_VBAT_TEMP_VBAT_BCL_GAIN_UPD5 \
						(WSA_START_OFFSET + 0x09EC)
#define LPASS_CDC_WSA_VBAT_TEMP_VBAT_BCL_GAIN_UPD6 \
						(WSA_START_OFFSET + 0x09F0)
#define LPASS_CDC_WSA_VBAT_TEMP_VBAT_BCL_GAIN_UPD7 \
						(WSA_START_OFFSET + 0x09F4)
#define LPASS_CDC_WSA_VBAT_TEMP_VBAT_BCL_GAIN_UPD8 \
						(WSA_START_OFFSET + 0x09F8)
#define LPASS_CDC_WSA_VBAT_TEMP_VBAT_BCL_GAIN_UPD9 \
						(WSA_START_OFFSET + 0x09FC)
#define LPASS_CDC_WSA_VBAT_TEMP_VBAT_BCL_ATTN1	(WSA_START_OFFSET + 0x0A00)
#define LPASS_CDC_WSA_VBAT_TEMP_VBAT_BCL_ATTN2	(WSA_START_OFFSET + 0x0A04)
#define LPASS_CDC_WSA_VBAT_TEMP_VBAT_BCL_ATTN3	(WSA_START_OFFSET + 0x0A08)
/* lpass 2.6 new registers */
#define LPASS_CDC_WSA_PBR_PATH_CTL	(WSA_START_OFFSET + 0xB00)
#define LPASS_CDC_WSA_LA_CFG	(WSA_START_OFFSET + 0xB04)
#define LPASS_CDC_WSA_PBR_CFG1	(WSA_START_OFFSET + 0xB08)
#define LPASS_CDC_WSA_PBR_CFG2	(WSA_START_OFFSET + 0xB0C)
#define LPASS_CDC_WSA_PBR_CFG3	(WSA_START_OFFSET + 0xB10)
#define LPASS_CDC_WSA_PBR_CFG4	(WSA_START_OFFSET + 0xB14)
#define LPASS_CDC_WSA_PBR_CFG5	(WSA_START_OFFSET + 0xB18)
#define LPASS_CDC_WSA_PBR_CFG6	(WSA_START_OFFSET + 0xB1C)
#define LPASS_CDC_WSA_PBR_CFG7	(WSA_START_OFFSET + 0xB20)
#define LPASS_CDC_WSA_PBR_CFG8	(WSA_START_OFFSET + 0xB24)
#define LPASS_CDC_WSA_PBR_CFG9	(WSA_START_OFFSET + 0xB28)
#define LPASS_CDC_WSA_PBR_CFG10	(WSA_START_OFFSET + 0xB2C)
#define LPASS_CDC_WSA_PBR_CFG11	(WSA_START_OFFSET + 0xB30)
#define LPASS_CDC_WSA_PBR_CFG12	(WSA_START_OFFSET + 0xB34)
#define LPASS_CDC_WSA_PBR_CFG13	(WSA_START_OFFSET + 0xB38)
#define LPASS_CDC_WSA_PBR_CFG14	(WSA_START_OFFSET + 0xB3C)
#define LPASS_CDC_WSA_PBR_CFG15	(WSA_START_OFFSET + 0xB40)
#define LPASS_CDC_WSA_PBR_CFG16	(WSA_START_OFFSET + 0xB44)
#define LPASS_CDC_WSA_PBR_CFG17	(WSA_START_OFFSET + 0xB48)
#define LPASS_CDC_WSA_ILIM_CFG0	(WSA_START_OFFSET + 0xB4C)
#define LPASS_CDC_WSA_ILIM_CFG1	(WSA_START_OFFSET + 0xB50)
#define LPASS_CDC_WSA_ILIM_CFG2	(WSA_START_OFFSET + 0xB54)
#define LPASS_CDC_WSA_ILIM_CFG3	(WSA_START_OFFSET + 0xB58)
#define LPASS_CDC_WSA_ILIM_CFG4	(WSA_START_OFFSET + 0xB5C)
#define LPASS_CDC_WSA_ILIM_CFG5	(WSA_START_OFFSET + 0xB60)
#define LPASS_CDC_WSA_ILIM_CFG6	(WSA_START_OFFSET + 0xB64)
#define LPASS_CDC_WSA_ILIM_CFG7	(WSA_START_OFFSET + 0xB68)
#define LPASS_CDC_WSA_ILIM_CFG8	(WSA_START_OFFSET + 0xB6C)
#define LPASS_CDC_WSA_LA_CFG_1	(WSA_START_OFFSET + 0xB70)
#define LPASS_CDC_WSA_PBR_CFG1_1	(WSA_START_OFFSET + 0xB74)
#define LPASS_CDC_WSA_PBR_CFG2_1	(WSA_START_OFFSET + 0xB78)
#define LPASS_CDC_WSA_PBR_CFG3_1	(WSA_START_OFFSET + 0xB7C)
#define LPASS_CDC_WSA_PBR_CFG4_1	(WSA_START_OFFSET + 0xB80)
#define LPASS_CDC_WSA_PBR_CFG5_1	(WSA_START_OFFSET + 0xB84)
#define LPASS_CDC_WSA_PBR_CFG6_1	(WSA_START_OFFSET + 0xB88)
#define LPASS_CDC_WSA_PBR_CFG7_1	(WSA_START_OFFSET + 0xB8C)
#define LPASS_CDC_WSA_PBR_CFG8_1	(WSA_START_OFFSET + 0xB90)
#define LPASS_CDC_WSA_PBR_CFG9_1	(WSA_START_OFFSET + 0xB94)
#define LPASS_CDC_WSA_PBR_CFG10_1	(WSA_START_OFFSET + 0xB98)
#define LPASS_CDC_WSA_PBR_CFG11_1	(WSA_START_OFFSET + 0xB9C)
#define LPASS_CDC_WSA_PBR_CFG12_1	(WSA_START_OFFSET + 0xBA0)
#define LPASS_CDC_WSA_PBR_CFG13_1	(WSA_START_OFFSET + 0xBA4)
#define LPASS_CDC_WSA_PBR_CFG14_1	(WSA_START_OFFSET + 0xBA8)
#define LPASS_CDC_WSA_PBR_CFG15_1	(WSA_START_OFFSET + 0xBAC)
#define LPASS_CDC_WSA_PBR_CFG16_1	(WSA_START_OFFSET + 0xBB0)
#define LPASS_CDC_WSA_ILIM_CFG0_1	(WSA_START_OFFSET + 0xBB4)
#define LPASS_CDC_WSA_ILIM_CFG1_1	(WSA_START_OFFSET + 0xBB8)
#define LPASS_CDC_WSA_ILIM_CFG2_1	(WSA_START_OFFSET + 0xBBC)
#define LPASS_CDC_WSA_ILIM_CFG5_1	(WSA_START_OFFSET + 0xBC0)
#define LPASS_CDC_WSA_ILIM_CFG9	(WSA_START_OFFSET + 0xBC4)
#define LPASS_CDC_WSA_ILIM_CFG6_1	(WSA_START_OFFSET + 0xBC8)
#define LPASS_CDC_WSA_PBR_CFG18	(WSA_START_OFFSET + 0xBCC)
#define LPASS_CDC_WSA_PBR_CFG18_1	(WSA_START_OFFSET + 0xBD0)
#define LPASS_CDC_WSA_PBR_CFG19	(WSA_START_OFFSET + 0xBD4)
#define LPASS_CDC_WSA_PBR_CFG20	(WSA_START_OFFSET + 0xBD8)
#define LPASS_CDC_WSA_PBR_CFG21	(WSA_START_OFFSET + 0xBDC)
#define LPASS_CDC_WSA_PBR_CFG22	(WSA_START_OFFSET + 0xBE0)
#define LPASS_CDC_WSA_PBR_CFG23	(WSA_START_OFFSET + 0xBE4)
#define WSA_MAX_OFFSET				(WSA_START_OFFSET + 0xBE4)

#define LPASS_CDC_WSA_MACRO_MAX 0x2FA /* 0xBE4/4 = 0x2F9 + 1 registers */

/* VA macro registers */
#define VA_START_OFFSET				0x3000
#define LPASS_CDC_VA_CLK_RST_CTRL_MCLK_CONTROL	(VA_START_OFFSET + 0x0000)
#define LPASS_CDC_VA_CLK_RST_CTRL_FS_CNT_CONTROL \
						(VA_START_OFFSET + 0x0004)
#define LPASS_CDC_VA_CLK_RST_CTRL_SWR_CONTROL	(VA_START_OFFSET + 0x0008)
#define LPASS_CDC_VA_TOP_CSR_TOP_CFG0		(VA_START_OFFSET + 0x0080)
#define LPASS_CDC_VA_TOP_CSR_DMIC0_CTL		(VA_START_OFFSET + 0x0084)
#define LPASS_CDC_VA_TOP_CSR_DMIC1_CTL		(VA_START_OFFSET + 0x0088)
#define LPASS_CDC_VA_TOP_CSR_DMIC2_CTL		(VA_START_OFFSET + 0x008C)
#define LPASS_CDC_VA_TOP_CSR_DMIC3_CTL		(VA_START_OFFSET + 0x0090)
#define LPASS_CDC_VA_TOP_CSR_DMIC_CFG		(VA_START_OFFSET + 0x0094)
#define LPASS_CDC_VA_TOP_CSR_VAD_MUX		(VA_START_OFFSET + 0x0098)
#define LPASS_CDC_VA_TOP_CSR_DEBUG_BUS		(VA_START_OFFSET + 0x009C)
#define LPASS_CDC_VA_TOP_CSR_DEBUG_EN		(VA_START_OFFSET + 0x00A0)
#define LPASS_CDC_VA_TOP_CSR_TX_I2S_CTL		(VA_START_OFFSET + 0x00A4)
#define LPASS_CDC_VA_TOP_CSR_I2S_CLK		(VA_START_OFFSET + 0x00A8)
#define LPASS_CDC_VA_TOP_CSR_I2S_RESET		(VA_START_OFFSET + 0x00AC)
#define LPASS_CDC_VA_TOP_CSR_DEBUG_CLK		(VA_START_OFFSET + 0x00B0)
#define LPASS_CDC_VA_TOP_CSR_CORE_ID_0		(VA_START_OFFSET + 0x00C0)
#define LPASS_CDC_VA_TOP_CSR_CORE_ID_1		(VA_START_OFFSET + 0x00C4)
#define LPASS_CDC_VA_TOP_CSR_CORE_ID_2		(VA_START_OFFSET + 0x00C8)
#define LPASS_CDC_VA_TOP_CSR_CORE_ID_3		(VA_START_OFFSET + 0x00CC)
#define LPASS_CDC_VA_TOP_CSR_SWR_MIC_CTL0	(VA_START_OFFSET + 0x00D0)
#define LPASS_CDC_VA_TOP_CSR_SWR_MIC_CTL1	(VA_START_OFFSET + 0x00D4)
#define LPASS_CDC_VA_TOP_CSR_SWR_MIC_CTL2	(VA_START_OFFSET + 0x00D8)
#define LPASS_CDC_VA_TOP_CSR_SWR_CTRL		(VA_START_OFFSET + 0x00DC)
#define LPASS_CDC_VA_TOP_CSR_SEQ_CTL0		(VA_START_OFFSET + 0x00E0)
#define LPASS_CDC_VA_INP_MUX_ADC_MUX0_CFG0	(VA_START_OFFSET + 0x0100)
#define LPASS_CDC_VA_INP_MUX_ADC_MUX0_CFG1	(VA_START_OFFSET + 0x0104)
#define LPASS_CDC_VA_INP_MUX_ADC_MUX1_CFG0	(VA_START_OFFSET + 0x0108)
#define LPASS_CDC_VA_INP_MUX_ADC_MUX1_CFG1	(VA_START_OFFSET + 0x010C)
#define LPASS_CDC_VA_INP_MUX_ADC_MUX2_CFG0	(VA_START_OFFSET + 0x0110)
#define LPASS_CDC_VA_INP_MUX_ADC_MUX2_CFG1	(VA_START_OFFSET + 0x0114)
#define LPASS_CDC_VA_INP_MUX_ADC_MUX3_CFG0	(VA_START_OFFSET + 0x0118)
#define LPASS_CDC_VA_INP_MUX_ADC_MUX3_CFG1	(VA_START_OFFSET + 0x011C)
#define LPASS_CDC_VA_TX0_TX_PATH_CTL	(VA_START_OFFSET + 0x0400)
#define LPASS_CDC_VA_TX0_TX_PATH_CFG0	(VA_START_OFFSET + 0x0404)
#define LPASS_CDC_VA_TX0_TX_PATH_CFG1	(VA_START_OFFSET + 0x0408)
#define LPASS_CDC_VA_TX0_TX_VOL_CTL	(VA_START_OFFSET + 0x040C)
#define LPASS_CDC_VA_TX0_TX_PATH_SEC0	(VA_START_OFFSET + 0x0410)
#define LPASS_CDC_VA_TX0_TX_PATH_SEC1	(VA_START_OFFSET + 0x0414)
#define LPASS_CDC_VA_TX0_TX_PATH_SEC2	(VA_START_OFFSET + 0x0418)
#define LPASS_CDC_VA_TX0_TX_PATH_SEC3	(VA_START_OFFSET + 0x041C)
#define LPASS_CDC_VA_TX0_TX_PATH_SEC4	(VA_START_OFFSET + 0x0420)
#define LPASS_CDC_VA_TX0_TX_PATH_SEC5	(VA_START_OFFSET + 0x0424)
#define LPASS_CDC_VA_TX0_TX_PATH_SEC6	(VA_START_OFFSET + 0x0428)
#define LPASS_CDC_VA_TX0_TX_PATH_SEC7	(VA_START_OFFSET + 0x042C)
#define LPASS_CDC_VA_TX1_TX_PATH_CTL	(VA_START_OFFSET + 0x0480)
#define LPASS_CDC_VA_TX1_TX_PATH_CFG0	(VA_START_OFFSET + 0x0484)
#define LPASS_CDC_VA_TX1_TX_PATH_CFG1	(VA_START_OFFSET + 0x0488)
#define LPASS_CDC_VA_TX1_TX_VOL_CTL	(VA_START_OFFSET + 0x048C)
#define LPASS_CDC_VA_TX1_TX_PATH_SEC0	(VA_START_OFFSET + 0x0490)
#define LPASS_CDC_VA_TX1_TX_PATH_SEC1	(VA_START_OFFSET + 0x0494)
#define LPASS_CDC_VA_TX1_TX_PATH_SEC2	(VA_START_OFFSET + 0x0498)
#define LPASS_CDC_VA_TX1_TX_PATH_SEC3	(VA_START_OFFSET + 0x049C)
#define LPASS_CDC_VA_TX1_TX_PATH_SEC4	(VA_START_OFFSET + 0x04A0)
#define LPASS_CDC_VA_TX1_TX_PATH_SEC5	(VA_START_OFFSET + 0x04A4)
#define LPASS_CDC_VA_TX1_TX_PATH_SEC6	(VA_START_OFFSET + 0x04A8)
#define LPASS_CDC_VA_TX2_TX_PATH_CTL	(VA_START_OFFSET + 0x0500)
#define LPASS_CDC_VA_TX2_TX_PATH_CFG0	(VA_START_OFFSET + 0x0504)
#define LPASS_CDC_VA_TX2_TX_PATH_CFG1	(VA_START_OFFSET + 0x0508)
#define LPASS_CDC_VA_TX2_TX_VOL_CTL	(VA_START_OFFSET + 0x050C)
#define LPASS_CDC_VA_TX2_TX_PATH_SEC0	(VA_START_OFFSET + 0x0510)
#define LPASS_CDC_VA_TX2_TX_PATH_SEC1	(VA_START_OFFSET + 0x0514)
#define LPASS_CDC_VA_TX2_TX_PATH_SEC2	(VA_START_OFFSET + 0x0518)
#define LPASS_CDC_VA_TX2_TX_PATH_SEC3	(VA_START_OFFSET + 0x051C)
#define LPASS_CDC_VA_TX2_TX_PATH_SEC4	(VA_START_OFFSET + 0x0520)
#define LPASS_CDC_VA_TX2_TX_PATH_SEC5	(VA_START_OFFSET + 0x0524)
#define LPASS_CDC_VA_TX2_TX_PATH_SEC6	(VA_START_OFFSET + 0x0528)
#define LPASS_CDC_VA_TX3_TX_PATH_CTL	(VA_START_OFFSET + 0x0580)
#define LPASS_CDC_VA_TX3_TX_PATH_CFG0	(VA_START_OFFSET + 0x0584)
#define LPASS_CDC_VA_TX3_TX_PATH_CFG1	(VA_START_OFFSET + 0x0588)
#define LPASS_CDC_VA_TX3_TX_VOL_CTL	(VA_START_OFFSET + 0x058C)
#define LPASS_CDC_VA_TX3_TX_PATH_SEC0	(VA_START_OFFSET + 0x0590)
#define LPASS_CDC_VA_TX3_TX_PATH_SEC1	(VA_START_OFFSET + 0x0594)
#define LPASS_CDC_VA_TX3_TX_PATH_SEC2	(VA_START_OFFSET + 0x0598)
#define LPASS_CDC_VA_TX3_TX_PATH_SEC3	(VA_START_OFFSET + 0x059C)
#define LPASS_CDC_VA_TX3_TX_PATH_SEC4	(VA_START_OFFSET + 0x05A0)
#define LPASS_CDC_VA_TX3_TX_PATH_SEC5	(VA_START_OFFSET + 0x05A4)
#define LPASS_CDC_VA_TX3_TX_PATH_SEC6	(VA_START_OFFSET + 0x05A8)
#define VA_MAX_OFFSET			(VA_START_OFFSET + 0x05A8)

#define LPASS_CDC_VA_MACRO_MAX 0x16B /* 5A8/4 = 16A + 1 = 16B */

/* WSA2 - macro#5 */
#define WSA2_START_OFFSET			0x4000
#define LPASS_CDC_WSA2_CLK_RST_CTRL_MCLK_CONTROL \
						(WSA2_START_OFFSET + 0x0000)
#define LPASS_CDC_WSA2_CLK_RST_CTRL_FS_CNT_CONTROL \
						(WSA2_START_OFFSET + 0x0004)
#define LPASS_CDC_WSA2_CLK_RST_CTRL_SWR_CONTROL	(WSA2_START_OFFSET + 0x0008)
#define LPASS_CDC_WSA2_TOP_TOP_CFG0		(WSA2_START_OFFSET + 0x0080)
#define LPASS_CDC_WSA2_TOP_TOP_CFG1		(WSA2_START_OFFSET + 0x0084)
#define LPASS_CDC_WSA2_TOP_FREQ_MCLK		(WSA2_START_OFFSET + 0x0088)
#define LPASS_CDC_WSA2_TOP_DEBUG_BUS_SEL	(WSA2_START_OFFSET + 0x008C)
#define LPASS_CDC_WSA2_TOP_DEBUG_EN0		(WSA2_START_OFFSET + 0x0090)
#define LPASS_CDC_WSA2_TOP_DEBUG_EN1		(WSA2_START_OFFSET + 0x0094)
#define LPASS_CDC_WSA2_TOP_DEBUG_DSM_LB		(WSA2_START_OFFSET + 0x0098)
#define LPASS_CDC_WSA2_TOP_RX_I2S_CTL		(WSA2_START_OFFSET + 0x009C)
#define LPASS_CDC_WSA2_TOP_TX_I2S_CTL		(WSA2_START_OFFSET + 0x00A0)
#define LPASS_CDC_WSA2_TOP_I2S_CLK		(WSA2_START_OFFSET + 0x00A4)
#define LPASS_CDC_WSA2_TOP_I2S_RESET		(WSA2_START_OFFSET + 0x00A8)
#define LPASS_CDC_WSA2_TOP_FS_UNGATE		(WSA2_START_OFFSET + 0x00AC)
#define LPASS_CDC_WSA2_TOP_GRP_SEL		(WSA2_START_OFFSET + 0x00B0)
#define LPASS_CDC_WSA2_TOP_SPKR_COMP7_WR_LSB	(WSA2_START_OFFSET + 0x00B4)
#define LPASS_CDC_WSA2_TOP_SPKR_COMP7_WR_MSB	(WSA2_START_OFFSET + 0x00B8)
#define LPASS_CDC_WSA2_TOP_SPKR_COMP7_LUT	(WSA2_START_OFFSET + 0x00BC)
#define LPASS_CDC_WSA2_TOP_SPKR_COMP7_RD_LSB	(WSA2_START_OFFSET + 0x00C0)
#define LPASS_CDC_WSA2_TOP_SPKR_COMP7_RD_MSB	(WSA2_START_OFFSET + 0x00C4)
#define LPASS_CDC_WSA2_TOP_SPKR_COMP8_WR_LSB	(WSA2_START_OFFSET + 0x00C8)
#define LPASS_CDC_WSA2_TOP_SPKR_COMP8_WR_MSB	(WSA2_START_OFFSET + 0x00CC)
#define LPASS_CDC_WSA2_TOP_SPKR_COMP8_LUT	(WSA2_START_OFFSET + 0x00D0)
#define LPASS_CDC_WSA2_TOP_SPKR_COMP8_RD_LSB	(WSA2_START_OFFSET + 0x00D4)
#define LPASS_CDC_WSA2_TOP_SPKR_COMP8_RD_MSB	(WSA2_START_OFFSET + 0x00D8)
#define LPASS_CDC_WSA2_TOP_FS_UNGATE2		(WSA2_START_OFFSET + 0x00DC)
#define LPASS_CDC_WSA2_TOP_SEQ_CTL0		(WSA2_START_OFFSET + 0x00E0)
#define LPASS_CDC_WSA2_RX_INP_MUX_RX_INT0_CFG0	(WSA2_START_OFFSET + 0x0100)
#define LPASS_CDC_WSA2_RX_INP_MUX_RX_INT0_CFG1	(WSA2_START_OFFSET + 0x0104)
#define LPASS_CDC_WSA2_RX_INP_MUX_RX_INT1_CFG0	(WSA2_START_OFFSET + 0x0108)
#define LPASS_CDC_WSA2_RX_INP_MUX_RX_INT1_CFG1	(WSA2_START_OFFSET + 0x010C)
#define LPASS_CDC_WSA2_RX_INP_MUX_RX_MIX_CFG0	(WSA2_START_OFFSET + 0x0110)
#define LPASS_CDC_WSA2_RX_INP_MUX_RX_EC_CFG0	(WSA2_START_OFFSET + 0x0114)
#define LPASS_CDC_WSA2_RX_INP_MUX_SOFTCLIP_CFG0	(WSA2_START_OFFSET + 0x0118)
/* VBAT registers  */
#define LPASS_CDC_WSA2_VBAT_BCL_VBAT_PATH_CTL	(WSA2_START_OFFSET + 0x0180)
#define LPASS_CDC_WSA2_VBAT_BCL_VBAT_CFG	(WSA2_START_OFFSET + 0x0184)
#define LPASS_CDC_WSA2_VBAT_BCL_VBAT_ADC_CAL1	(WSA2_START_OFFSET + 0x0188)
#define LPASS_CDC_WSA2_VBAT_BCL_VBAT_ADC_CAL2	(WSA2_START_OFFSET + 0x018C)
#define LPASS_CDC_WSA2_VBAT_BCL_VBAT_ADC_CAL3	(WSA2_START_OFFSET + 0x0190)
#define LPASS_CDC_WSA2_VBAT_BCL_VBAT_PK_EST1	(WSA2_START_OFFSET + 0x0194)
#define LPASS_CDC_WSA2_VBAT_BCL_VBAT_PK_EST2	(WSA2_START_OFFSET + 0x0198)
#define LPASS_CDC_WSA2_VBAT_BCL_VBAT_PK_EST3	(WSA2_START_OFFSET + 0x019C)
#define LPASS_CDC_WSA2_VBAT_BCL_VBAT_RF_PROC1	(WSA2_START_OFFSET + 0x01A0)
#define LPASS_CDC_WSA2_VBAT_BCL_VBAT_RF_PROC2	(WSA2_START_OFFSET + 0x01A4)
#define LPASS_CDC_WSA2_VBAT_BCL_VBAT_TAC1	(WSA2_START_OFFSET + 0x01A8)
#define LPASS_CDC_WSA2_VBAT_BCL_VBAT_TAC2	(WSA2_START_OFFSET + 0x01AC)
#define LPASS_CDC_WSA2_VBAT_BCL_VBAT_TAC3	(WSA2_START_OFFSET + 0x01B0)
#define LPASS_CDC_WSA2_VBAT_BCL_VBAT_TAC4	(WSA2_START_OFFSET + 0x01B4)
#define LPASS_CDC_WSA2_VBAT_BCL_VBAT_GAIN_UPD1	(WSA2_START_OFFSET + 0x01B8)
#define LPASS_CDC_WSA2_VBAT_BCL_VBAT_GAIN_UPD2	(WSA2_START_OFFSET + 0x01BC)
#define LPASS_CDC_WSA2_VBAT_BCL_VBAT_GAIN_UPD3	(WSA2_START_OFFSET + 0x01C0)
#define LPASS_CDC_WSA2_VBAT_BCL_VBAT_GAIN_UPD4	(WSA2_START_OFFSET + 0x01C4)
#define LPASS_CDC_WSA2_VBAT_BCL_VBAT_GAIN_UPD5	(WSA2_START_OFFSET + 0x01C8)
#define LPASS_CDC_WSA2_VBAT_BCL_VBAT_DEBUG1	(WSA2_START_OFFSET + 0x01CC)
#define LPASS_CDC_WSA2_VBAT_BCL_VBAT_GAIN_UPD_MON \
						(WSA2_START_OFFSET + 0x01D0)
#define LPASS_CDC_WSA2_VBAT_BCL_VBAT_GAIN_MON_VAL \
						(WSA2_START_OFFSET + 0x01D4)
#define LPASS_CDC_WSA2_VBAT_BCL_VBAT_BAN	(WSA2_START_OFFSET + 0x01D8)
#define LPASS_CDC_WSA2_VBAT_BCL_VBAT_BCL_GAIN_UPD1 \
						(WSA2_START_OFFSET + 0x01DC)
#define LPASS_CDC_WSA2_VBAT_BCL_VBAT_BCL_GAIN_UPD2 \
						(WSA2_START_OFFSET + 0x01E0)
#define LPASS_CDC_WSA2_VBAT_BCL_VBAT_BCL_GAIN_UPD3 \
						(WSA2_START_OFFSET + 0x01E4)
#define LPASS_CDC_WSA2_VBAT_BCL_VBAT_BCL_GAIN_UPD4 \
						(WSA2_START_OFFSET + 0x01E8)
#define LPASS_CDC_WSA2_VBAT_BCL_VBAT_BCL_GAIN_UPD5 \
						(WSA2_START_OFFSET + 0x01EC)
#define LPASS_CDC_WSA2_VBAT_BCL_VBAT_BCL_GAIN_UPD6 \
						(WSA2_START_OFFSET + 0x01F0)
#define LPASS_CDC_WSA2_VBAT_BCL_VBAT_BCL_GAIN_UPD7 \
						(WSA2_START_OFFSET + 0x01F4)
#define LPASS_CDC_WSA2_VBAT_BCL_VBAT_BCL_GAIN_UPD8 \
						(WSA2_START_OFFSET + 0x01F8)
#define LPASS_CDC_WSA2_VBAT_BCL_VBAT_BCL_GAIN_UPD9 \
						(WSA2_START_OFFSET + 0x01FC)
#define LPASS_CDC_WSA2_VBAT_BCL_VBAT_BCL_ATTN1	(WSA2_START_OFFSET + 0x0200)
#define LPASS_CDC_WSA2_VBAT_BCL_VBAT_BCL_ATTN2	(WSA2_START_OFFSET + 0x0204)
#define LPASS_CDC_WSA2_VBAT_BCL_VBAT_BCL_ATTN3	(WSA2_START_OFFSET + 0x0208)
#define LPASS_CDC_WSA2_TX0_SPKR_PROT_PATH_CTL	(WSA2_START_OFFSET + 0x0244)
#define LPASS_CDC_WSA2_TX0_SPKR_PROT_PATH_CFG0	(WSA2_START_OFFSET + 0x0248)
#define LPASS_CDC_WSA2_TX1_SPKR_PROT_PATH_CTL	(WSA2_START_OFFSET + 0x0264)
#define LPASS_CDC_WSA2_TX1_SPKR_PROT_PATH_CFG0	(WSA2_START_OFFSET + 0x0268)
#define LPASS_CDC_WSA2_TX2_SPKR_PROT_PATH_CTL	(WSA2_START_OFFSET + 0x0284)
#define LPASS_CDC_WSA2_TX2_SPKR_PROT_PATH_CFG0	(WSA2_START_OFFSET + 0x0288)
#define LPASS_CDC_WSA2_TX3_SPKR_PROT_PATH_CTL	(WSA2_START_OFFSET + 0x02A4)
#define LPASS_CDC_WSA2_TX3_SPKR_PROT_PATH_CFG0	(WSA2_START_OFFSET + 0x02A8)
#define LPASS_CDC_WSA2_INTR_CTRL_CFG		(WSA2_START_OFFSET + 0x0340)
#define LPASS_CDC_WSA2_INTR_CTRL_CLR_COMMIT	(WSA2_START_OFFSET + 0x0344)
#define LPASS_CDC_WSA2_INTR_CTRL_PIN1_MASK0	(WSA2_START_OFFSET + 0x0360)
#define LPASS_CDC_WSA2_INTR_CTRL_PIN1_STATUS0	(WSA2_START_OFFSET + 0x0368)
#define LPASS_CDC_WSA2_INTR_CTRL_PIN1_CLEAR0	(WSA2_START_OFFSET + 0x0370)
#define LPASS_CDC_WSA2_INTR_CTRL_PIN2_MASK0	(WSA2_START_OFFSET + 0x0380)
#define LPASS_CDC_WSA2_INTR_CTRL_PIN2_STATUS0	(WSA2_START_OFFSET + 0x0388)
#define LPASS_CDC_WSA2_INTR_CTRL_PIN2_CLEAR0	(WSA2_START_OFFSET + 0x0390)
#define LPASS_CDC_WSA2_INTR_CTRL_LEVEL0		(WSA2_START_OFFSET + 0x03C0)
#define LPASS_CDC_WSA2_INTR_CTRL_BYPASS0	(WSA2_START_OFFSET + 0x03C8)
#define LPASS_CDC_WSA2_INTR_CTRL_SET0		(WSA2_START_OFFSET + 0x03D0)
#define LPASS_CDC_WSA2_RX0_RX_PATH_CTL		(WSA2_START_OFFSET + 0x0400)
#define LPASS_CDC_WSA2_RX0_RX_PATH_CFG0		(WSA2_START_OFFSET + 0x0404)
#define LPASS_CDC_WSA2_RX0_RX_PATH_CFG1		(WSA2_START_OFFSET + 0x0408)
#define LPASS_CDC_WSA2_RX0_RX_PATH_CFG2		(WSA2_START_OFFSET + 0x040C)
#define LPASS_CDC_WSA2_RX0_RX_PATH_CFG3		(WSA2_START_OFFSET + 0x0410)
#define LPASS_CDC_WSA2_RX0_RX_VOL_CTL		(WSA2_START_OFFSET + 0x0414)
#define LPASS_CDC_WSA2_RX0_RX_PATH_MIX_CTL	(WSA2_START_OFFSET + 0x0418)
#define LPASS_CDC_WSA2_RX0_RX_PATH_MIX_CFG	(WSA2_START_OFFSET + 0x041C)
#define LPASS_CDC_WSA2_RX0_RX_VOL_MIX_CTL	(WSA2_START_OFFSET + 0x0420)
#define LPASS_CDC_WSA2_RX0_RX_PATH_SEC0		(WSA2_START_OFFSET + 0x0424)
#define LPASS_CDC_WSA2_RX0_RX_PATH_SEC1		(WSA2_START_OFFSET + 0x0428)
#define LPASS_CDC_WSA2_RX0_RX_PATH_SEC2		(WSA2_START_OFFSET + 0x042C)
#define LPASS_CDC_WSA2_RX0_RX_PATH_SEC3		(WSA2_START_OFFSET + 0x0430)
#define LPASS_CDC_WSA2_RX0_RX_PATH_SEC5		(WSA2_START_OFFSET + 0x0438)
#define LPASS_CDC_WSA2_RX0_RX_PATH_SEC6		(WSA2_START_OFFSET + 0x043C)
#define LPASS_CDC_WSA2_RX0_RX_PATH_SEC7		(WSA2_START_OFFSET + 0x0440)
#define LPASS_CDC_WSA2_RX0_RX_PATH_MIX_SEC0	(WSA2_START_OFFSET + 0x0444)
#define LPASS_CDC_WSA2_RX0_RX_PATH_MIX_SEC1	(WSA2_START_OFFSET + 0x0448)
#define LPASS_CDC_WSA2_RX0_RX_PATH_DSMDEM_CTL	(WSA2_START_OFFSET + 0x044C)
#define LPASS_CDC_WSA2_RX1_RX_PATH_CTL		(WSA2_START_OFFSET + 0x0480)
#define LPASS_CDC_WSA2_RX1_RX_PATH_CFG0		(WSA2_START_OFFSET + 0x0484)
#define LPASS_CDC_WSA2_RX1_RX_PATH_CFG1		(WSA2_START_OFFSET + 0x0488)
#define LPASS_CDC_WSA2_RX1_RX_PATH_CFG2		(WSA2_START_OFFSET + 0x048C)
#define LPASS_CDC_WSA2_RX1_RX_PATH_CFG3		(WSA2_START_OFFSET + 0x0490)
#define LPASS_CDC_WSA2_RX1_RX_VOL_CTL		(WSA2_START_OFFSET + 0x0494)
#define LPASS_CDC_WSA2_RX1_RX_PATH_MIX_CTL	(WSA2_START_OFFSET + 0x0498)
#define LPASS_CDC_WSA2_RX1_RX_PATH_MIX_CFG	(WSA2_START_OFFSET + 0x049C)
#define LPASS_CDC_WSA2_RX1_RX_VOL_MIX_CTL	(WSA2_START_OFFSET + 0x04A0)
#define LPASS_CDC_WSA2_RX1_RX_PATH_SEC0		(WSA2_START_OFFSET + 0x04A4)
#define LPASS_CDC_WSA2_RX1_RX_PATH_SEC1		(WSA2_START_OFFSET + 0x04A8)
#define LPASS_CDC_WSA2_RX1_RX_PATH_SEC2		(WSA2_START_OFFSET + 0x04AC)
#define LPASS_CDC_WSA2_RX1_RX_PATH_SEC3		(WSA2_START_OFFSET + 0x04B0)
#define LPASS_CDC_WSA2_RX1_RX_PATH_SEC5		(WSA2_START_OFFSET + 0x04B8)
#define LPASS_CDC_WSA2_RX1_RX_PATH_SEC6		(WSA2_START_OFFSET + 0x04BC)
#define LPASS_CDC_WSA2_RX1_RX_PATH_SEC7		(WSA2_START_OFFSET + 0x04C0)
#define LPASS_CDC_WSA2_RX1_RX_PATH_MIX_SEC0	(WSA2_START_OFFSET + 0x04C4)
#define LPASS_CDC_WSA2_RX1_RX_PATH_MIX_SEC1	(WSA2_START_OFFSET + 0x04C8)
#define LPASS_CDC_WSA2_RX1_RX_PATH_DSMDEM_CTL	(WSA2_START_OFFSET + 0x04CC)
#define LPASS_CDC_WSA2_BOOST0_BOOST_PATH_CTL	(WSA2_START_OFFSET + 0x0500)
#define LPASS_CDC_WSA2_BOOST0_BOOST_CTL		(WSA2_START_OFFSET + 0x0504)
#define LPASS_CDC_WSA2_BOOST0_BOOST_CFG1	(WSA2_START_OFFSET + 0x0508)
#define LPASS_CDC_WSA2_BOOST0_BOOST_CFG2	(WSA2_START_OFFSET + 0x050C)
#define LPASS_CDC_WSA2_BOOST1_BOOST_PATH_CTL	(WSA2_START_OFFSET + 0x0540)
#define LPASS_CDC_WSA2_BOOST1_BOOST_CTL		(WSA2_START_OFFSET + 0x0544)
#define LPASS_CDC_WSA2_BOOST1_BOOST_CFG1	(WSA2_START_OFFSET + 0x0548)
#define LPASS_CDC_WSA2_BOOST1_BOOST_CFG2	(WSA2_START_OFFSET + 0x054C)
#define LPASS_CDC_WSA2_COMPANDER0_CTL0		(WSA2_START_OFFSET + 0x0580)
#define LPASS_CDC_WSA2_COMPANDER0_CTL1		(WSA2_START_OFFSET + 0x0584)
#define LPASS_CDC_WSA2_COMPANDER0_CTL2		(WSA2_START_OFFSET + 0x0588)
#define LPASS_CDC_WSA2_COMPANDER0_CTL3		(WSA2_START_OFFSET + 0x058C)
#define LPASS_CDC_WSA2_COMPANDER0_CTL4		(WSA2_START_OFFSET + 0x0590)
#define LPASS_CDC_WSA2_COMPANDER0_CTL5		(WSA2_START_OFFSET + 0x0594)
#define LPASS_CDC_WSA2_COMPANDER0_CTL6		(WSA2_START_OFFSET + 0x0598)
#define LPASS_CDC_WSA2_COMPANDER0_CTL7		(WSA2_START_OFFSET + 0x059C)
#define LPASS_CDC_WSA2_COMPANDER0_CTL8		(WSA2_START_OFFSET + 0x05A0)
#define LPASS_CDC_WSA2_COMPANDER0_CTL9		(WSA2_START_OFFSET + 0x05A4)
#define LPASS_CDC_WSA2_COMPANDER0_CTL10		(WSA2_START_OFFSET + 0x05A8)
#define LPASS_CDC_WSA2_COMPANDER0_CTL11		(WSA2_START_OFFSET + 0x05AC)
#define LPASS_CDC_WSA2_COMPANDER0_CTL12		(WSA2_START_OFFSET + 0x05B0)
#define LPASS_CDC_WSA2_COMPANDER0_CTL13		(WSA2_START_OFFSET + 0x05B4)
#define LPASS_CDC_WSA2_COMPANDER0_CTL14		(WSA2_START_OFFSET + 0x05B8)
#define LPASS_CDC_WSA2_COMPANDER0_CTL15		(WSA2_START_OFFSET + 0x05BC)
#define LPASS_CDC_WSA2_COMPANDER0_CTL16		(WSA2_START_OFFSET + 0x05C0)
#define LPASS_CDC_WSA2_COMPANDER0_CTL17		(WSA2_START_OFFSET + 0x05C4)
#define LPASS_CDC_WSA2_COMPANDER0_CTL18		(WSA2_START_OFFSET + 0x05C8)
#define LPASS_CDC_WSA2_COMPANDER0_CTL19		(WSA2_START_OFFSET + 0x05CC)
#define LPASS_CDC_WSA2_COMPANDER1_CTL0		(WSA2_START_OFFSET + 0x05E0)
#define LPASS_CDC_WSA2_COMPANDER1_CTL1		(WSA2_START_OFFSET + 0x05E4)
#define LPASS_CDC_WSA2_COMPANDER1_CTL2		(WSA2_START_OFFSET + 0x05E8)
#define LPASS_CDC_WSA2_COMPANDER1_CTL3		(WSA2_START_OFFSET + 0x05EC)
#define LPASS_CDC_WSA2_COMPANDER1_CTL4		(WSA2_START_OFFSET + 0x05F0)
#define LPASS_CDC_WSA2_COMPANDER1_CTL5		(WSA2_START_OFFSET + 0x05F4)
#define LPASS_CDC_WSA2_COMPANDER1_CTL6		(WSA2_START_OFFSET + 0x05F8)
#define LPASS_CDC_WSA2_COMPANDER1_CTL7		(WSA2_START_OFFSET + 0x05FC)
#define LPASS_CDC_WSA2_COMPANDER1_CTL8		(WSA2_START_OFFSET + 0x0600)
#define LPASS_CDC_WSA2_COMPANDER1_CTL9		(WSA2_START_OFFSET + 0x0604)
#define LPASS_CDC_WSA2_COMPANDER1_CTL10		(WSA2_START_OFFSET + 0x0608)
#define LPASS_CDC_WSA2_COMPANDER1_CTL11		(WSA2_START_OFFSET + 0x060C)
#define LPASS_CDC_WSA2_COMPANDER1_CTL12		(WSA2_START_OFFSET + 0x0610)
#define LPASS_CDC_WSA2_COMPANDER1_CTL13		(WSA2_START_OFFSET + 0x0614)
#define LPASS_CDC_WSA2_COMPANDER1_CTL14		(WSA2_START_OFFSET + 0x0618)
#define LPASS_CDC_WSA2_COMPANDER1_CTL15		(WSA2_START_OFFSET + 0x061C)
#define LPASS_CDC_WSA2_COMPANDER1_CTL16		(WSA2_START_OFFSET + 0x0620)
#define LPASS_CDC_WSA2_COMPANDER1_CTL17		(WSA2_START_OFFSET + 0x0624)
#define LPASS_CDC_WSA2_COMPANDER1_CTL18		(WSA2_START_OFFSET + 0x0628)
#define LPASS_CDC_WSA2_COMPANDER1_CTL19		(WSA2_START_OFFSET + 0x062C)
#define LPASS_CDC_WSA2_SOFTCLIP0_CRC		(WSA2_START_OFFSET + 0x0640)
#define LPASS_CDC_WSA2_SOFTCLIP0_SOFTCLIP_CTRL	(WSA2_START_OFFSET + 0x0644)
#define LPASS_CDC_WSA2_SOFTCLIP1_CRC		(WSA2_START_OFFSET + 0x0660)
#define LPASS_CDC_WSA2_SOFTCLIP1_SOFTCLIP_CTRL	(WSA2_START_OFFSET + 0x0664)
#define LPASS_CDC_WSA2_EC_HQ0_EC_REF_HQ_PATH_CTL \
						(WSA2_START_OFFSET + 0x0680)
#define LPASS_CDC_WSA2_EC_HQ0_EC_REF_HQ_CFG0	(WSA2_START_OFFSET + 0x0684)
#define LPASS_CDC_WSA2_EC_HQ1_EC_REF_HQ_PATH_CTL \
						(WSA2_START_OFFSET + 0x06C0)
#define LPASS_CDC_WSA2_EC_HQ1_EC_REF_HQ_CFG0	(WSA2_START_OFFSET + 0x06C4)
#define LPASS_CDC_WSA2_IDLE_DETECT_PATH_CTL	(WSA2_START_OFFSET + 0x0780)
#define LPASS_CDC_WSA2_IDLE_DETECT_CFG0		(WSA2_START_OFFSET + 0x0784)
#define LPASS_CDC_WSA2_IDLE_DETECT_CFG1		(WSA2_START_OFFSET + 0x0788)
#define LPASS_CDC_WSA2_IDLE_DETECT_CFG2		(WSA2_START_OFFSET + 0x078C)
#define LPASS_CDC_WSA2_IDLE_DETECT_CFG3		(WSA2_START_OFFSET + 0x0790)
#define LPASS_CDC_WSA2_CB_DECODE_CB_DECODE_CTL1	(WSA2_START_OFFSET + 0x0900)
#define LPASS_CDC_WSA2_CB_DECODE_CB_DECODE_CTL2	(WSA2_START_OFFSET + 0x0904)
#define LPASS_CDC_WSA2_CB_DECODE_CB_DECODE_CTL3	(WSA2_START_OFFSET + 0x0908)
#define LPASS_CDC_WSA2_CB_DECODE_CB_DECODE_CFG1	(WSA2_START_OFFSET + 0x090C)
#define LPASS_CDC_WSA2_CB_DECODE_CB_DECODE_CFG2	(WSA2_START_OFFSET + 0x0910)
#define LPASS_CDC_WSA2_CB_DECODE_CB_DECODE_CFG3	(WSA2_START_OFFSET + 0x0914)
#define LPASS_CDC_WSA2_CB_DECODE_CB_DECODE_CFG4	(WSA2_START_OFFSET + 0x0918)
#define LPASS_CDC_WSA2_CB_DECODE_CB_DECODE_CFG5	(WSA2_START_OFFSET + 0x091C)
#define LPASS_CDC_WSA2_CB_DECODE_CB_DECODE_CFG6	(WSA2_START_OFFSET + 0x0920)
#define LPASS_CDC_WSA2_CB_DECODE_CB_DECODE_CFG7	(WSA2_START_OFFSET + 0x0924)
#define LPASS_CDC_WSA2_CB_DECODE_CB_DECODE_CFG8	(WSA2_START_OFFSET + 0x0928)
#define LPASS_CDC_WSA2_CB_DECODE_CB_DECODE_TEST1 \
						(WSA2_START_OFFSET + 0x092C)
#define LPASS_CDC_WSA2_CB_DECODE_CB_DECODE_TEST2 \
						(WSA2_START_OFFSET + 0x0930)
#define LPASS_CDC_WSA2_CB_DECODE_CB_DECODE_TEST3 \
						(WSA2_START_OFFSET + 0x0934)
#define LPASS_CDC_WSA2_CB_DECODE_CB_DECODE_TEST4 \
						(WSA2_START_OFFSET + 0x0938)
#define LPASS_CDC_WSA2_CB_DECODE_CB_DECODE_ST1	(WSA2_START_OFFSET + 0x093C)
#define LPASS_CDC_WSA2_CB_DECODE_CB_DECODE_ST2	(WSA2_START_OFFSET + 0x0940)
#define LPASS_CDC_WSA2_CB_DECODE_CB_DECODE_ST3	(WSA2_START_OFFSET + 0x0944)
#define LPASS_CDC_WSA2_CB_DECODE_CB_DECODE_ST4	(WSA2_START_OFFSET + 0x0948)
#define LPASS_CDC_WSA2_CB_DECODE_CB_DECODE_ST5	(WSA2_START_OFFSET + 0x094C)
#define LPASS_CDC_WSA2_VBAT_TEMP_VBAT_PATH_CTL	(WSA2_START_OFFSET + 0x0980)
#define LPASS_CDC_WSA2_VBAT_TEMP_VBAT_CFG	(WSA2_START_OFFSET + 0x0984)
#define LPASS_CDC_WSA2_VBAT_TEMP_VBAT_ADC_CAL1	(WSA2_START_OFFSET + 0x0988)
#define LPASS_CDC_WSA2_VBAT_TEMP_VBAT_ADC_CAL2	(WSA2_START_OFFSET + 0x098C)
#define LPASS_CDC_WSA2_VBAT_TEMP_VBAT_ADC_CAL3	(WSA2_START_OFFSET + 0x0990)
#define LPASS_CDC_WSA2_VBAT_TEMP_VBAT_PK_EST1	(WSA2_START_OFFSET + 0x0994)
#define LPASS_CDC_WSA2_VBAT_TEMP_VBAT_PK_EST2	(WSA2_START_OFFSET + 0x0998)
#define LPASS_CDC_WSA2_VBAT_TEMP_VBAT_PK_EST3	(WSA2_START_OFFSET + 0x099C)
#define LPASS_CDC_WSA2_VBAT_TEMP_VBAT_RF_PROC1	(WSA2_START_OFFSET + 0x09A0)
#define LPASS_CDC_WSA2_VBAT_TEMP_VBAT_RF_PROC2	(WSA2_START_OFFSET + 0x09A4)
#define LPASS_CDC_WSA2_VBAT_TEMP_VBAT_TAC1	(WSA2_START_OFFSET + 0x09A8)
#define LPASS_CDC_WSA2_VBAT_TEMP_VBAT_TAC2	(WSA2_START_OFFSET + 0x09AC)
#define LPASS_CDC_WSA2_VBAT_TEMP_VBAT_TAC3	(WSA2_START_OFFSET + 0x09B0)
#define LPASS_CDC_WSA2_VBAT_TEMP_VBAT_TAC4	(WSA2_START_OFFSET + 0x09B4)
#define LPASS_CDC_WSA2_VBAT_TEMP_VBAT_GAIN_UPD1	(WSA2_START_OFFSET + 0x09B8)
#define LPASS_CDC_WSA2_VBAT_TEMP_VBAT_GAIN_UPD2	(WSA2_START_OFFSET + 0x09BC)
#define LPASS_CDC_WSA2_VBAT_TEMP_VBAT_GAIN_UPD3	(WSA2_START_OFFSET + 0x09C0)
#define LPASS_CDC_WSA2_VBAT_TEMP_VBAT_GAIN_UPD4	(WSA2_START_OFFSET + 0x09C4)
#define LPASS_CDC_WSA2_VBAT_TEMP_VBAT_GAIN_UPD5	(WSA2_START_OFFSET + 0x09C8)
#define LPASS_CDC_WSA2_VBAT_TEMP_VBAT_DEBUG1	(WSA2_START_OFFSET + 0x09CC)
#define LPASS_CDC_WSA2_VBAT_TEMP_VBAT_GAIN_UPD_MON \
						(WSA2_START_OFFSET + 0x09D0)
#define LPASS_CDC_WSA2_VBAT_TEMP_VBAT_GAIN_MON_VAL \
						(WSA2_START_OFFSET + 0x09D4)
#define LPASS_CDC_WSA2_VBAT_TEMP_VBAT_BAN	(WSA2_START_OFFSET + 0x09D8)
#define LPASS_CDC_WSA2_VBAT_TEMP_VBAT_BCL_GAIN_UPD1 \
						(WSA2_START_OFFSET + 0x09DC)
#define LPASS_CDC_WSA2_VBAT_TEMP_VBAT_BCL_GAIN_UPD2 \
						(WSA2_START_OFFSET + 0x09E0)
#define LPASS_CDC_WSA2_VBAT_TEMP_VBAT_BCL_GAIN_UPD3 \
						(WSA2_START_OFFSET + 0x09E4)
#define LPASS_CDC_WSA2_VBAT_TEMP_VBAT_BCL_GAIN_UPD4 \
						(WSA2_START_OFFSET + 0x09E8)
#define LPASS_CDC_WSA2_VBAT_TEMP_VBAT_BCL_GAIN_UPD5 \
						(WSA2_START_OFFSET + 0x09EC)
#define LPASS_CDC_WSA2_VBAT_TEMP_VBAT_BCL_GAIN_UPD6 \
						(WSA2_START_OFFSET + 0x09F0)
#define LPASS_CDC_WSA2_VBAT_TEMP_VBAT_BCL_GAIN_UPD7 \
						(WSA2_START_OFFSET + 0x09F4)
#define LPASS_CDC_WSA2_VBAT_TEMP_VBAT_BCL_GAIN_UPD8 \
						(WSA2_START_OFFSET + 0x09F8)
#define LPASS_CDC_WSA2_VBAT_TEMP_VBAT_BCL_GAIN_UPD9 \
						(WSA2_START_OFFSET + 0x09FC)
#define LPASS_CDC_WSA2_VBAT_TEMP_VBAT_BCL_ATTN1	(WSA2_START_OFFSET + 0x0A00)
#define LPASS_CDC_WSA2_VBAT_TEMP_VBAT_BCL_ATTN2	(WSA2_START_OFFSET + 0x0A04)
#define LPASS_CDC_WSA2_VBAT_TEMP_VBAT_BCL_ATTN3	(WSA2_START_OFFSET + 0x0A08)
/* lpass 2.6 new registers */
#define LPASS_CDC_WSA2_PBR_PATH_CTL	(WSA2_START_OFFSET + 0xB00)
#define LPASS_CDC_WSA2_LA_CFG	(WSA2_START_OFFSET + 0xB04)
#define LPASS_CDC_WSA2_PBR_CFG1	(WSA2_START_OFFSET + 0xB08)
#define LPASS_CDC_WSA2_PBR_CFG2	(WSA2_START_OFFSET + 0xB0C)
#define LPASS_CDC_WSA2_PBR_CFG3	(WSA2_START_OFFSET + 0xB10)
#define LPASS_CDC_WSA2_PBR_CFG4	(WSA2_START_OFFSET + 0xB14)
#define LPASS_CDC_WSA2_PBR_CFG5	(WSA2_START_OFFSET + 0xB18)
#define LPASS_CDC_WSA2_PBR_CFG6	(WSA2_START_OFFSET + 0xB1C)
#define LPASS_CDC_WSA2_PBR_CFG7	(WSA2_START_OFFSET + 0xB20)
#define LPASS_CDC_WSA2_PBR_CFG8	(WSA2_START_OFFSET + 0xB24)
#define LPASS_CDC_WSA2_PBR_CFG9	(WSA2_START_OFFSET + 0xB28)
#define LPASS_CDC_WSA2_PBR_CFG10	(WSA2_START_OFFSET + 0xB2C)
#define LPASS_CDC_WSA2_PBR_CFG11	(WSA2_START_OFFSET + 0xB30)
#define LPASS_CDC_WSA2_PBR_CFG12	(WSA2_START_OFFSET + 0xB34)
#define LPASS_CDC_WSA2_PBR_CFG13	(WSA2_START_OFFSET + 0xB38)
#define LPASS_CDC_WSA2_PBR_CFG14	(WSA2_START_OFFSET + 0xB3C)
#define LPASS_CDC_WSA2_PBR_CFG15	(WSA2_START_OFFSET + 0xB40)
#define LPASS_CDC_WSA2_PBR_CFG16	(WSA2_START_OFFSET + 0xB44)
#define LPASS_CDC_WSA2_PBR_CFG17	(WSA2_START_OFFSET + 0xB48)
#define LPASS_CDC_WSA2_ILIM_CFG0	(WSA2_START_OFFSET + 0xB4C)
#define LPASS_CDC_WSA2_ILIM_CFG1	(WSA2_START_OFFSET + 0xB50)
#define LPASS_CDC_WSA2_ILIM_CFG2	(WSA2_START_OFFSET + 0xB54)
#define LPASS_CDC_WSA2_ILIM_CFG3	(WSA2_START_OFFSET + 0xB58)
#define LPASS_CDC_WSA2_ILIM_CFG4	(WSA2_START_OFFSET + 0xB5C)
#define LPASS_CDC_WSA2_ILIM_CFG5	(WSA2_START_OFFSET + 0xB60)
#define LPASS_CDC_WSA2_ILIM_CFG6	(WSA2_START_OFFSET + 0xB64)
#define LPASS_CDC_WSA2_ILIM_CFG7	(WSA2_START_OFFSET + 0xB68)
#define LPASS_CDC_WSA2_ILIM_CFG8	(WSA2_START_OFFSET + 0xB6C)
#define LPASS_CDC_WSA2_LA_CFG_1	(WSA2_START_OFFSET + 0xB70)
#define LPASS_CDC_WSA2_PBR_CFG1_1	(WSA2_START_OFFSET + 0xB74)
#define LPASS_CDC_WSA2_PBR_CFG2_1	(WSA2_START_OFFSET + 0xB78)
#define LPASS_CDC_WSA2_PBR_CFG3_1	(WSA2_START_OFFSET + 0xB7C)
#define LPASS_CDC_WSA2_PBR_CFG4_1	(WSA2_START_OFFSET + 0xB80)
#define LPASS_CDC_WSA2_PBR_CFG5_1	(WSA2_START_OFFSET + 0xB84)
#define LPASS_CDC_WSA2_PBR_CFG6_1	(WSA2_START_OFFSET + 0xB88)
#define LPASS_CDC_WSA2_PBR_CFG7_1	(WSA2_START_OFFSET + 0xB8C)
#define LPASS_CDC_WSA2_PBR_CFG8_1	(WSA2_START_OFFSET + 0xB90)
#define LPASS_CDC_WSA2_PBR_CFG9_1	(WSA2_START_OFFSET + 0xB94)
#define LPASS_CDC_WSA2_PBR_CFG10_1	(WSA2_START_OFFSET + 0xB98)
#define LPASS_CDC_WSA2_PBR_CFG11_1	(WSA2_START_OFFSET + 0xB9C)
#define LPASS_CDC_WSA2_PBR_CFG12_1	(WSA2_START_OFFSET + 0xBA0)
#define LPASS_CDC_WSA2_PBR_CFG13_1	(WSA2_START_OFFSET + 0xBA4)
#define LPASS_CDC_WSA2_PBR_CFG14_1	(WSA2_START_OFFSET + 0xBA8)
#define LPASS_CDC_WSA2_PBR_CFG15_1	(WSA2_START_OFFSET + 0xBAC)
#define LPASS_CDC_WSA2_PBR_CFG16_1	(WSA2_START_OFFSET + 0xBB0)
#define LPASS_CDC_WSA2_ILIM_CFG0_1	(WSA2_START_OFFSET + 0xBB4)
#define LPASS_CDC_WSA2_ILIM_CFG1_1	(WSA2_START_OFFSET + 0xBB8)
#define LPASS_CDC_WSA2_ILIM_CFG2_1	(WSA2_START_OFFSET + 0xBBC)
#define LPASS_CDC_WSA2_ILIM_CFG5_1	(WSA2_START_OFFSET + 0xBC0)
#define LPASS_CDC_WSA2_ILIM_CFG9	(WSA2_START_OFFSET + 0xBC4)
#define LPASS_CDC_WSA2_ILIM_CFG6_1	(WSA2_START_OFFSET + 0xBC8)
#define LPASS_CDC_WSA2_PBR_CFG18	(WSA2_START_OFFSET + 0xBCC)
#define LPASS_CDC_WSA2_PBR_CFG18_1	(WSA2_START_OFFSET + 0xBD0)
#define LPASS_CDC_WSA2_PBR_CFG19	(WSA2_START_OFFSET + 0xBD4)
#define LPASS_CDC_WSA2_PBR_CFG20	(WSA2_START_OFFSET + 0xBD8)
#define LPASS_CDC_WSA2_PBR_CFG21	(WSA2_START_OFFSET + 0xBDC)
#define LPASS_CDC_WSA2_PBR_CFG22	(WSA2_START_OFFSET + 0xBE0)
#define LPASS_CDC_WSA2_PBR_CFG23	(WSA2_START_OFFSET + 0xBE4)

#define WSA2_MAX_OFFSET				(WSA2_START_OFFSET + 0xBE4)

#define LPASS_CDC_WSA2_MACRO_MAX 0x2FA /* 0xBE4/4 = 0x2F9 + 1 registers */

#define LPASS_CDC_MAX_REGISTER WSA2_MAX_OFFSET

#define LPASS_CDC_REG(reg)  (((reg) & 0x0FFF)/4)

#endif
